=== modified file '.bzrignore'
--- .bzrignore	2011-07-13 19:29:18 +0000
+++ .bzrignore	2012-01-12 17:31:35 +0000
@@ -2,6 +2,8 @@
 .bzrignore
 gwibber/semantic.cache
 semantic.cache
+*.gmo
+*.lo
 *.mo
 ABOUT-NLS
 INSTALL
@@ -22,6 +24,7 @@
 gnome-doc-utils.make
 gtk-doc.make
 install-sh
+intltool-*
 libtool
 ltmain.sh
 m4/

=== modified file 'bin/gwibber-accounts'
--- bin/gwibber-accounts	2011-08-23 14:48:22 +0000
+++ bin/gwibber-accounts	2012-01-12 17:31:35 +0000
@@ -21,7 +21,6 @@
 
 import sys
 from os.path import join, dirname, exists, realpath, abspath
-import gtk, gobject, wnck
 from dbus.mainloop.glib import DBusGMainLoop
 import gettext
 from gettext import lgettext as _
@@ -29,12 +28,15 @@
     gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
+from gi.repository import Gtk, Wnck
+
+
 ######################################################################
 # Don't run again if we are already running
 progname = "gwibber-accounts"
-screen = wnck.screen_get_default()
-while gtk.events_pending():
-  gtk.main_iteration()
+screen = Wnck.Screen.get_default()
+while Gtk.events_pending():
+  Gtk.main_iteration()
 for w in screen.get_windows():
   if w.get_application().get_name() == progname:
     import time
@@ -106,4 +108,4 @@
 
 DBusGMainLoop(set_as_default=True)
 accounts.GwibberAccountManager(selected_account=selected_account, condition=condition, message=message)
-gtk.main()
+Gtk.main()

=== modified file 'bin/gwibber-service'
--- bin/gwibber-service	2011-11-01 13:54:06 +0000
+++ bin/gwibber-service	2012-01-12 17:31:35 +0000
@@ -1,13 +1,13 @@
 #!/usr/bin/python
 
-from gi.repository import Gio
-import sys, optparse, gobject, dbus
+from gi.repository import Gio, GLib
+import sys, optparse, dbus
 from os.path import join, dirname, exists, realpath, abspath
 from os import popen, getpid
 from dbus.mainloop.glib import DBusGMainLoop
 
 DBusGMainLoop(set_as_default=True)
-loop = gobject.MainLoop()
+loop = GLib.MainLoop()
 
 LAUNCH_DIR = abspath(sys.path[0])
 SOURCE_DIR = join(LAUNCH_DIR, "..", "gwibber")

=== modified file 'gwibber/accounts.py'
--- gwibber/accounts.py	2011-08-23 14:47:25 +0000
+++ gwibber/accounts.py	2012-01-12 17:31:35 +0000
@@ -18,6 +18,8 @@
 # Accounts interface for Gwibber
 #
 
+from gi.repository import Gdk, GdkPixbuf, Gtk
+
 try:
   import gnomekeyring
 except:
@@ -29,7 +31,7 @@
   gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
-import gtk, pango, os, json, uuid
+import os, json, uuid
 from gwibber.lib import GwibberPublic
 import util
 from microblog.util import resources
@@ -53,7 +55,7 @@
     self.message = message
     self.gwibber = GwibberPublic()
     self.services = json.loads(self.gwibber.GetServices())
-    self.ui = gtk.Builder()
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain("gwibber")
     self.ui.add_from_file(resources.get_ui_asset("gwibber-accounts-dialog.ui"))
     self.ui.connect_signals(self)
@@ -63,9 +65,9 @@
     dialog.set_icon_name("gwibber")
     dialog.set_wmclass("gwibber", "Gwibber")
     dialog.show_all()
-    if hasattr(gtk, "InfoBar"):
+    if hasattr(Gtk, "InfoBar"):
       self.alignment_infobar = self.ui.get_object("alignment_infobar")
-      self.infobar = gtk.InfoBar()
+      self.infobar = Gtk.InfoBar()
       self.alignment_infobar.add(self.infobar)
       self.infobar.hide()
 
@@ -84,7 +86,7 @@
     
   def setup_account_tree(self):
     # Protocol title, Icon, Protocol Properties
-    self.service_store = gtk.ListStore(str, gtk.gdk.Pixbuf, str)
+    self.service_store = Gtk.ListStore(str, GdkPixbuf.Pixbuf, str)
     for name, props in self.services.items():
       icon = self.get_icon(name)
       if icon:
@@ -93,8 +95,8 @@
     service_combo = self.ui.get_object("protocol_combobox")
     service_combo.set_model(self.service_store)
 
-    celltxt = gtk.CellRendererText()
-    cellimg = gtk.CellRendererPixbuf()
+    celltxt = Gtk.CellRendererText()
+    cellimg = Gtk.CellRendererPixbuf()
     
     service_combo.pack_start(cellimg, False)
     service_combo.pack_start(celltxt, False)
@@ -103,13 +105,13 @@
     service_combo.set_active(0)
 
     # Store: Account name, Icon, Protocol properties, Color
-    self.account_store = gtk.TreeStore(str, gtk.gdk.Pixbuf, object, str)
-
-    icon_column = gtk.TreeViewColumn('Icon')
-    name_column = gtk.TreeViewColumn('Account')
-
-    celltxt = gtk.CellRendererText()
-    cellimg = gtk.CellRendererPixbuf()
+    self.account_store = Gtk.TreeStore(str, GdkPixbuf.Pixbuf, object, str)
+
+    icon_column = Gtk.TreeViewColumn('Icon')
+    name_column = Gtk.TreeViewColumn('Account')
+
+    celltxt = Gtk.CellRendererText()
+    cellimg = Gtk.CellRendererPixbuf()
 
     icon_column.pack_start(cellimg, False)
     icon_column.add_attribute(cellimg, 'pixbuf', 1)
@@ -127,12 +129,12 @@
   def select_account(self):
     if not self.selected_account:
       if len(self.account_store):
-        self.account_tree.set_cursor(0)
+        pass  #self.account_tree.set_cursor(0)
       else: self.add_account()
     else:
       for i in self.account_store:
         if i[2]["id"] == self.selected_account:
-          self.account_tree.set_cursor(i.path)
+          break  #self.account_tree.set_cursor(i.path)
       #self.selected_account = None
 
 
@@ -140,7 +142,7 @@
     icf = util.get_service_icon(name)
     if icf:
       if os.path.exists(icf):
-        return gtk.gdk.pixbuf_new_from_file(icf)
+        return GdkPixbuf.Pixbuf.new_from_file(icf)
     #return gtk.gdk.pixbuf_new_from_file(resources.get_ui_asset("gwibber.png"))
     return None
 
@@ -238,7 +240,7 @@
           value = getattr(widget.props, p)
           self.account[config] = value
 
-      if widget and isinstance(widget, gtk.ColorButton):
+      if widget and isinstance(widget, Gtk.ColorButton):
         value = widget.get_color ()
         self.account[config] = value
 
@@ -248,9 +250,10 @@
 	      self.account["id"], config, self.account[config])
 
       if value:
-        if isinstance(value, gtk.gdk.Color):
-          value = gtk.color_selection_palette_to_string(
-            gtk.color_selection_palette_from_string(value.to_string()))
+        if isinstance(value, Gdk.Color):
+          parsed, colors = Gtk.ColorSelection.palette_from_string(
+            value.to_string())
+          value = Gtk.ColorSelection.palette_to_string(colors)
           self.account[config] = value
 
     if not self.verify_account(self.account): return False
@@ -263,7 +266,7 @@
 
     # if we just fixed a failure case, hide the infobar
     if self.account["id"] == self.selected_account:
-      if hasattr(gtk, "InfoBar"):
+      if hasattr(Gtk, "InfoBar"):
         self.infobar.hide()
       self.selected_account = None
 
@@ -299,18 +302,18 @@
     self.account_show(service, icon)
 
   def account_show(self, service_id, icon=None, account=None, condition=None, message=None):
-    if hasattr(gtk, "InfoBar"):
+    if hasattr(Gtk, "InfoBar"):
       if condition == "error":
-        self.infobar.set_message_type(gtk.MESSAGE_ERROR)
+        self.infobar.set_message_type(Gtk.MESSAGE_ERROR)
       if condition == "info":
-        self.infobar.set_message_type(gtk.MESSAGE_INFO)
+        self.infobar.set_message_type(Gtk.MESSAGE_INFO)
       if message and condition:
         if hasattr(self, "infobar_content_area"):
           for child in self.infobar_content_area.get_children(): child.destroy()
         self.infobar_content_area = self.infobar.get_content_area()
-        message_label = gtk.Label(message)
+        message_label = Gtk.Label(message)
         message_label.set_use_markup(True)
-        message_label.set_ellipsize(pango.ELLIPSIZE_END)
+        message_label.set_ellipsize(Pango.ELLIPSIZE_END)
         self.infobar_content_area.add(message_label)
         self.infobar.show_all()
       else:
@@ -338,7 +341,7 @@
 
       aw = globals()[service_id].AccountWidget(account, self)
 
-      vbox_account.pack_start(aw, False, False)
+      vbox_account.pack_start(aw, False, False, 0)
       vbox_account.show()
 
       if "color" not in account:
@@ -352,21 +355,22 @@
           value = account[config]
           widget = aw.ui.get_object(config)
           
-          if isinstance(widget, gtk.Entry):
+          if isinstance(widget, Gtk.Entry):
             if is_private and account[config].startswith(":KEYRING:"):
               value = self.get_from_keyring(account["id"], config)
               if not value:
-                widget.modify_base(gtk.STATE_NORMAL, gtk.gdk.color_parse("pink"))
+                widget.modify_base(Gtk.STATE_NORMAL, Gdk.Color.parse("pink"))
             if value:
               widget.set_text(value)
             widget.connect("changed", self.on_edit_account)
 
-          elif isinstance(widget, gtk.CheckButton):
+          elif isinstance(widget, Gtk.CheckButton):
             widget.set_active(value)
             widget.connect("toggled", self.on_edit_account)
 
-          elif isinstance(widget, gtk.ColorButton):
-            widget.set_color(gtk.color_selection_palette_from_string(value)[0])
+          elif isinstance(widget, Gtk.ColorButton):
+            parsed, colors = Gtk.ColorSelection.palette_from_string(value)
+            widget.set_color(colors[0])
             widget.connect("color-set", self.on_edit_account)
 
       self.account = account
@@ -375,7 +379,7 @@
       self.ui.get_object('vbox_create').hide()
 
   def on_accounts_dialog_destroy(self, widget, data=None):
-    gtk.main_quit()
+    Gtk.main_quit()
 
   def on_accounts_tree_row_activated(self, widget, data=None):
     self.ui.get_object('vbox_save').hide()
@@ -384,7 +388,7 @@
     model, rows = widget.get_selection().get_selected_rows()
 
     if rows:
-      iter = model.get_iter(rows[0][0])
+      iter = model.get_iter(rows[0])
       icon = model.get_value(iter, 1)
       acct = model.get_value(iter, 2)
       if self.selected_account == acct["id"] and self.condition:
@@ -393,4 +397,4 @@
         self.account_show(acct["service"], icon, acct)
 
   def on_button_close_clicked(self, widget, data=None):
-    gtk.main_quit()
+    Gtk.main_quit()

=== modified file 'gwibber/gwui.py'
--- gwibber/gwui.py	2011-04-22 21:00:15 +0000
+++ gwibber/gwui.py	2012-01-12 17:31:35 +0000
@@ -1,9 +1,10 @@
 
 import os, json, urlparse, util
 import subprocess
-import gtk, gobject, pango, webkit, time, gconf
+import time
 import util
 import microblog.util
+from gi.repository import GObject, Gdk, Gtk, Pango, WebKit, Gio
 from microblog.util import resources
 from microblog import config
 
@@ -28,17 +29,17 @@
 error_accounts = []
 notified_errors = {}
 
-gtk.gdk.threads_init()
+Gdk.threads_init()
 
 if "gwibber" not in urlparse.uses_query:
   urlparse.uses_query.append("gwibber")
 
-class Model(gobject.GObject):
+class Model(GObject.Object):
   __gsignals__ = {
-    "changed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ()),
+    "changed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ()),
   }
   def __init__(self):
-    gobject.GObject.__init__(self)
+    GObject.Object.__init__(self)
 
     self.settings = config.Preferences()
     self.daemon = microblog.util.getbus("Service")
@@ -205,17 +206,17 @@
     items.append(searches)
     return items
 
-class WebUi(webkit.WebView):
+class WebUi(WebKit.WebView):
   __gsignals__ = {
-    "action": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str, object)),
+    "action": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str, object)),
   }
 
   def __init__(self):
-    webkit.WebView.__init__(self)
-    self.web_settings = webkit.WebSettings()
+    WebKit.WebView.__init__(self)
+    self.web_settings = WebKit.WebSettings()
     self.set_settings(self.web_settings)
     self.web_settings.set_property("enable-plugins", False)
-    self.gc = gconf.client_get_default()
+    self.settings = Gio.Settings("org.gnome.desktop.interface")
 
     self.connect("navigation-requested", self.on_click_link)
     self.connect("populate-popup", self.on_popup)
@@ -238,7 +239,7 @@
     return True
 
   def render(self, theme, template, **kwargs):
-    default_font = self.gc.get_string("/desktop/gnome/interface/document_font_name")
+    default_font = self.settings.get_string("document-font-name")
     if default_font:
       font_name, font_size = default_font.rsplit(None, 1)
       self.web_settings.set_property("sans-serif-font-family", font_name)
@@ -264,8 +265,8 @@
 
 class Navigation(WebUi):
   __gsignals__ = {
-    "stream-selected": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (object,)),
-    "stream-closed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str)),
+    "stream-selected": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (object,)),
+    "stream-closed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str)),
   }
 
   def __init__(self, model):
@@ -298,27 +299,25 @@
       target = self.model.find(**query)
       if target: self.emit("stream-selected", target)
 
-class SingleStreamUi(gtk.VBox):
+class SingleStreamUi(Gtk.VBox):
   __gsignals__ = {
-    "action": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str, object, object)),
-    "stream-closed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str)),
-    "stream-changed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (object,)),
-    "search": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str,)),
+    "action": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str, object, object)),
+    "stream-closed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str)),
+    "stream-changed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (object,)),
+    "search": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str,)),
   }
   def __init__(self, model):
-    gtk.VBox.__init__(self)
+    Gtk.VBox.__init__(self)
     self.model = model
 
-    self.gc = gconf.client_get_default()
-
     # Build the side navigation bar
     self.navigation = Navigation(self.model)
     self.navigation.connect("stream-selected", self.on_stream_change)
     self.navigation.connect("stream-closed", self.on_stream_closed)
     self.navigation.render()
 
-    self.navigation_scroll = gtk.ScrolledWindow()
-    self.navigation_scroll.set_policy(gtk.POLICY_NEVER, gtk.POLICY_NEVER)
+    self.navigation_scroll = Gtk.ScrolledWindow()
+    self.navigation_scroll.set_policy(Gtk.POLICY_NEVER, Gtk.POLICY_NEVER)
     self.navigation_scroll.add(self.navigation)
 
     self.messages = MessageStream(self.model)
@@ -328,7 +327,7 @@
     self.search_box.connect("search", self.on_search)
 
     
-    layout = gtk.VBox(spacing=5)
+    layout = Gtk.VBox(spacing=5)
     layout.pack_start(self.search_box, False)
     if hasattr(gtk, "InfoBar"): 
       self.infobox = GwibberInfoBox()
@@ -336,7 +335,7 @@
     layout.pack_start(self.messages, True)
 
     # Build the pane layout
-    self.splitter = gtk.HPaned()
+    self.splitter = Gtk.HPaned()
     self.splitter.add1(self.navigation_scroll)
     self.splitter.add2(layout)
 
@@ -345,14 +344,14 @@
 
   def handle_splitter_position_change(self, pos):
     if pos < 70 and self.navigation.tree_enabled:
-      #self.navigation_scroll.set_policy(gtk.POLICY_NEVER, gtk.POLICY_NEVER)
-      self.navigation_scroll.set_shadow_type(gtk.SHADOW_NONE)
+      #self.navigation_scroll.set_policy(Gtk.POLICY_NEVER, Gtk.POLICY_NEVER)
+      self.navigation_scroll.set_shadow_type(Gtk.SHADOW_NONE)
       self.navigation.tree_enabled = False
       self.navigation.render()
 
     if pos > 70 and not self.navigation.tree_enabled:
-      #self.navigation_scroll.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_NEVER)
-      self.navigation_scroll.set_shadow_type(gtk.SHADOW_IN)
+      #self.navigation_scroll.set_policy(Gtk.POLICY_AUTOMATIC, Gtk.POLICY_NEVER)
+      self.navigation_scroll.set_shadow_type(Gtk.SHADOW_IN)
       self.navigation.tree_enabled = True
       self.navigation.render()
 
@@ -410,23 +409,23 @@
       self.update()
 
 
-class MultiStreamUi(gtk.HBox):
+class MultiStreamUi(Gtk.HBox):
   __gsignals__ = {
-    "action": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str, object, object)),
-    "stream-closed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str)),
-    "stream-changed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (object,)),
-    "pane-closed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (int,)),
-    "search": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str,)),
+    "action": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str, object, object)),
+    "stream-closed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str)),
+    "stream-changed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (object,)),
+    "pane-closed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (int,)),
+    "search": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str,)),
   }
   def __init__(self, model):
-    gtk.HBox.__init__(self)
+    Gtk.HBox.__init__(self)
     self.model = model
 
-    self.container = gtk.HBox(spacing=5)
+    self.container = Gtk.HBox(spacing=5)
     self.container.set_border_width(5)
 
-    self.scroll = gtk.ScrolledWindow()
-    self.scroll.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_NEVER)
+    self.scroll = Gtk.ScrolledWindow()
+    self.scroll.set_policy(Gtk.POLICY_AUTOMATIC, Gtk.POLICY_NEVER)
     self.scroll.add_with_viewport(self.container)
 
     self.pack_start(self.scroll, True)
@@ -469,44 +468,44 @@
     for stream in self.container:
       stream.update()
 
-class MultiStreamPane(gtk.VBox):
+class MultiStreamPane(Gtk.VBox):
   __gsignals__ = {
-    "action": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str, object)),
-    "stream-closed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, str)),
-    "pane-closed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ()),
-    "search": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str,)),
+    "action": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str, object)),
+    "stream-closed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, str)),
+    "pane-closed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ()),
+    "search": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str,)),
   }
 
   def __init__(self, model):
-    gtk.VBox.__init__(self, spacing = 2)
+    Gtk.VBox.__init__(self, spacing = 2)
     self.model = model
     self.selected_stream = None
 
     # Build the top navigation bar
-    close_icon = gtk.image_new_from_stock("gtk-close", gtk.ICON_SIZE_MENU)
-    down_arrow = gtk.Arrow(gtk.ARROW_DOWN, gtk.SHADOW_NONE)
+    close_icon = Gtk.image_new_from_stock("gtk-close", Gtk.ICON_SIZE_MENU)
+    down_arrow = Gtk.Arrow(Gtk.ARROW_DOWN, Gtk.SHADOW_NONE)
 
-    btn_arrow = gtk.Button()
-    btn_arrow.set_relief(gtk.RELIEF_NONE)
+    btn_arrow = Gtk.Button()
+    btn_arrow.set_relief(Gtk.RELIEF_NONE)
     btn_arrow.add(down_arrow)
     btn_arrow.connect("clicked", self.on_dropdown)
 
-    self.arrow = gtk.EventBox()
+    self.arrow = Gtk.EventBox()
     self.arrow.add(btn_arrow)
 
-    btn_close = gtk.Button()
-    btn_close.set_relief(gtk.RELIEF_NONE)
+    btn_close = Gtk.Button()
+    btn_close.set_relief(Gtk.RELIEF_NONE)
     btn_close.set_image(close_icon)
     btn_close.connect("clicked", self.on_close)
 
-    self.icon_protocol = gtk.Image()
-    self.icon_stream = gtk.Image()
-    self.nav_label = gtk.Label()
+    self.icon_protocol = Gtk.Image()
+    self.icon_stream = Gtk.Image()
+    self.nav_label = Gtk.Label()
 
     self.search_box = GwibberSearch()
     self.search_box.connect("search", self.on_search)
 
-    self.navigation_bar = gtk.HBox(spacing=5)
+    self.navigation_bar = Gtk.HBox(spacing=5)
     self.navigation_bar.pack_start(self.arrow, False)
     self.navigation_bar.pack_start(self.icon_protocol, False)
     self.navigation_bar.pack_start(self.icon_stream, False)
@@ -529,12 +528,12 @@
     w, h = self.arrow.window.get_geometry()[2:4]
     x, y = self.arrow.window.get_origin()
 
-    window = gtk.Window()
+    window = Gtk.Window()
     window.move(x, y + h)
     window.set_decorated(False)
     window.set_property("skip-taskbar-hint", True)
     window.set_property("skip-pager-hint", True)
-    window.set_events(gtk.gdk.FOCUS_CHANGE_MASK)
+    window.set_events(Gdk.FOCUS_CHANGE_MASK)
     window.connect("focus-out-event", lambda w,x: w.destroy())
 
     def on_change(widget, stream):
@@ -592,13 +591,13 @@
     self.set_stream(self.model.find(**stream) or self.model.find(stream="home", account=None))
     self.update()
 
-class AccountTargetBar(gtk.HBox):
+class AccountTargetBar(Gtk.HBox):
   __gsignals__ = {
-      "canceled": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ())
+      "canceled": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ())
   }
 
   def __init__(self, model):
-    gtk.HBox.__init__(self, spacing=5)
+    Gtk.HBox.__init__(self, spacing=5)
     self.model = model
     self.model.connect("changed", self.on_account_changed)
     self.accounts = []
@@ -652,28 +651,28 @@
         action=self.action,
         accounts=self.accounts)
 
-class MessageStream(gtk.HBox):
+class MessageStream(Gtk.HBox):
   def __init__(self, model):
-    gtk.HBox.__init__(self, spacing=5)
+    Gtk.HBox.__init__(self, spacing=5)
 
     self.previous_threshold = 100
     self.previous_position = 0
     self.previous_stream = None
     self.messages = None
 
-    self.add_events(gtk.gdk.KEY_PRESS_MASK | gtk.gdk.SCROLL_MASK)
+    self.add_events(Gdk.KEY_PRESS_MASK | Gdk.SCROLL_MASK)
     self.connect("scroll-event", self.on_viewport_scroll)
     self.connect("key-press-event", self.on_viewport_key)
 
     self.message_view = MessageStreamView(model)
     self.message_view.connect("load-finished", self.on_scroll)
 
-    self.message_scroll = gtk.ScrolledWindow()
-    self.message_scroll.set_policy(gtk.POLICY_NEVER, gtk.POLICY_NEVER)
-    self.message_scroll.set_shadow_type(gtk.SHADOW_IN)
+    self.message_scroll = Gtk.ScrolledWindow()
+    self.message_scroll.set_policy(Gtk.POLICY_NEVER, Gtk.POLICY_NEVER)
+    self.message_scroll.set_shadow_type(Gtk.SHADOW_IN)
     self.message_scroll.add(self.message_view)
 
-    self.scrollbar = gtk.VScrollbar()
+    self.scrollbar = Gtk.VScrollbar()
     self.scrollbar.set_range(0, 100)
     self.scrollbar.set_increments(1, 10)
     self.scrollbar.connect("value-changed", self.on_scroll)
@@ -682,29 +681,29 @@
     self.pack_start(self.scrollbar, False)
 
   def on_viewport_key(self, widget, event):
-    if not event.state & gtk.gdk.SHIFT_MASK: return
-    if 'Down' == gtk.gdk.keyval_name(event.keyval):
+    if not event.state & Gdk.SHIFT_MASK: return
+    if 'Down' == Gdk.keyval_name(event.keyval):
         value = int(self.scrollbar.get_value()) + 1
         self.scrollbar.set_value(value)
-    elif 'Page_Down' == gtk.gdk.keyval_name(event.keyval):
+    elif 'Page_Down' == Gdk.keyval_name(event.keyval):
         value = int(self.scrollbar.get_value()) + 3
         self.scrollbar.set_value(value)
-    elif 'Up' == gtk.gdk.keyval_name(event.keyval):
+    elif 'Up' == Gdk.keyval_name(event.keyval):
         value = int(self.scrollbar.get_value()) - 1
         self.scrollbar.set_value(value)
-    elif 'Page_Up' == gtk.gdk.keyval_name(event.keyval):
+    elif 'Page_Up' == Gdk.keyval_name(event.keyval):
         value = int(self.scrollbar.get_value()) - 3
         self.scrollbar.set_value(value)
-    elif 'Home' == gtk.gdk.keyval_name(event.keyval):
+    elif 'Home' == Gdk.keyval_name(event.keyval):
         self.scrollbar.set_value(0)
-    elif 'End' == gtk.gdk.keyval_name(event.keyval):
+    elif 'End' == Gdk.keyval_name(event.keyval):
         self.scrollbar.set_value(100)
         
   def on_viewport_scroll(self, widget, event):
     value = int(self.scrollbar.get_value())
 
-    if event.direction == gtk.gdk.SCROLL_DOWN: value += 1
-    elif event.direction == gtk.gdk.SCROLL_UP: value -= 1
+    if event.direction == Gdk.SCROLL_DOWN: value += 1
+    elif event.direction == Gdk.SCROLL_UP: value -= 1
 
     self.scrollbar.set_value(value)
 
@@ -814,9 +813,9 @@
 
     return [m["txtid"] for m in messages]
 
-class GwibberInfoBox(gtk.VBox):
+class GwibberInfoBox(Gtk.VBox):
   def __init__(self, error=None):
-    gtk.VBox.__init__(self, spacing=2)
+    Gtk.VBox.__init__(self, spacing=2)
     self.service = microblog.util.getbus("Service")
     self.service.connect_to_signal("Error", self.add_info_bar)
     self.show()
@@ -845,45 +844,45 @@
 
 # FIXME    if hasattr(gtk, "InfoBar"):
 
-class GwibberInfoBar(hasattr(gtk, "InfoBar") and gtk.InfoBar or gtk.VBox):
+class GwibberInfoBar(hasattr(gtk, "InfoBar") and Gtk.InfoBar or Gtk.VBox):
   def __init__(self, data=None):
-    gtk.InfoBar.__init__(self)
+    Gtk.InfoBar.__init__(self)
     self.service = microblog.util.getbus("Service")
-    self.set_message_type(gtk.MESSAGE_ERROR)
+    self.set_message_type(Gtk.MESSAGE_ERROR)
     #self.set_no_show_all(True)
 
     self.account = data["error"]["account"]
     content_area = self.get_content_area()
     
     #if not account.has_key("service"):
-    #  icon = gtk.image_new_from_file(resources.get_ui_asset("gwibber.png"))
+    #  icon = Gtk.image_new_from_file(resources.get_ui_asset("gwibber.png"))
     #else:
-    icon = gtk.image_new_from_file(resources.get_ui_asset("icons/breakdance/16x16/%s.png" % data["error"]["account"]["service"]))
+    icon = Gtk.image_new_from_file(resources.get_ui_asset("icons/breakdance/16x16/%s.png" % data["error"]["account"]["service"]))
     
-    label = gtk.Label(data["error"]["message"])
+    label = Gtk.Label(data["error"]["message"])
 
     label.set_use_markup(True)
-    label.set_ellipsize(pango.ELLIPSIZE_END)
+    label.set_ellipsize(Pango.ELLIPSIZE_END)
 
     content_area.pack_start(icon, False, False, 0)
     content_area.pack_start(label, True, True, 0)
     self.pack_start(content_area, False)
 
-    close_button = gtk.Button()
-    close_button.set_image(gtk.image_new_from_stock (gtk.STOCK_CLOSE, gtk.ICON_SIZE_BUTTON))
+    close_button = Gtk.Button()
+    close_button.set_image(Gtk.image_new_from_stock (Gtk.STOCK_CLOSE, Gtk.ICON_SIZE_BUTTON))
     close_button.set_tooltip_text(_("Close"))
     close_button.connect("clicked", self.on_error_close_clicked_cb)
     self.pack_end(close_button, False)
 
     if data["error"]["type"] == "auth":
-      edit_button = gtk.Button()
-      edit_button.set_image(gtk.image_new_from_stock (gtk.STOCK_EDIT, gtk.ICON_SIZE_BUTTON))
+      edit_button = Gtk.Button()
+      edit_button.set_image(Gtk.image_new_from_stock (Gtk.STOCK_EDIT, Gtk.ICON_SIZE_BUTTON))
       edit_button.set_tooltip_text(_("Edit Account"))
       edit_button.connect("clicked", self.on_error_edit_clicked_cb, data["error"]["account"]["id"], data["error"]["message"])
       self.pack_end(edit_button, False)
 
-    retry_button = gtk.Button()
-    retry_button.set_image(gtk.image_new_from_stock (gtk.STOCK_REFRESH, gtk.ICON_SIZE_BUTTON))
+    retry_button = Gtk.Button()
+    retry_button.set_image(Gtk.image_new_from_stock (Gtk.STOCK_REFRESH, Gtk.ICON_SIZE_BUTTON))
     retry_button.set_tooltip_text(_("Retry"))
     retry_button.connect("clicked", self.on_error_retry_clicked_cb, data["error"]["account"]["id"])
     self.pack_end(retry_button, False)
@@ -911,26 +910,26 @@
     error_accounts.remove(self.account["id"])
      
   
-class GwibberSearch(gtk.HBox):
+class GwibberSearch(Gtk.HBox):
   __gsignals__ = {
-    "search": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str,)),
+    "search": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str,)),
   }
 
   def __init__(self):
-    gtk.HBox.__init__(self, spacing=2)
+    Gtk.HBox.__init__(self, spacing=2)
 
-    self.entry = gtk.Entry()
+    self.entry = Gtk.Entry()
     self.entry.connect("activate", self.on_search)
     self.entry.connect("changed", self.on_changed)
 
-    self.button = gtk.Button(_("Search"))
+    self.button = Gtk.Button(_("Search"))
     self.button.connect("clicked", self.on_search)
 
     self.pack_start(self.entry, True)
     self.pack_start(self.button, False)
 
     try:
-      self.entry.set_property("primary-icon-stock", gtk.STOCK_FIND)
+      self.entry.set_property("primary-icon-stock", Gtk.STOCK_FIND)
       self.entry.connect("icon-press", self.on_icon_press)
     except: pass
 
@@ -946,7 +945,7 @@
 
   def on_changed(self, widget):
     self.entry.set_property("secondary-icon-stock",
-      gtk.STOCK_CLEAR if self.entry.get_text().strip() else None)
+      Gtk.STOCK_CLEAR if self.entry.get_text().strip() else None)
 
   def set_visible(self, value):
     if value: self.hide()
@@ -955,23 +954,23 @@
   def focus(self):
     self.entry.grab_focus()
 
-class Input(gtk.Frame):
+class Input(Gtk.Frame):
   __gsignals__ = {
-    "submit": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, int)),
-    "changed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, int)),
-    "clear": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ())
+    "submit": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, int)),
+    "changed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, int)),
+    "clear": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ())
   }
 
   def __init__(self, content=None):
-    gtk.Frame.__init__(self)
+    Gtk.Frame.__init__(self)
 
     self.textview = InputTextView(content=content)
     self.textview.connect("submit", self.do_submit_event)
     self.textview.connect("clear", self.do_clear_event)
     self.textview.get_buffer().connect("changed", self.do_changed_event)
 
-    scroll = gtk.ScrolledWindow()
-    scroll.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+    scroll = Gtk.ScrolledWindow()
+    scroll.set_policy(Gtk.POLICY_AUTOMATIC, Gtk.POLICY_AUTOMATIC)
     scroll.add(self.textview)
     self.add(scroll)
 
@@ -1000,14 +999,14 @@
     chars = tv.get_char_count()
     self.emit("submit", text, chars)
 
-class InputTextView(gtk.TextView):
+class InputTextView(Gtk.TextView):
   __gsignals__ = {
-    "submit": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ()),
-    "clear": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ())
+    "submit": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ()),
+    "clear": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ())
   }
 
   def __init__(self, content=None):
-    gtk.TextView.__init__(self)
+    Gtk.TextView.__init__(self)
     self.drawable = None
     self.model = Model()
 
@@ -1032,14 +1031,14 @@
     self.set_accepts_tab(True)
     self.set_editable(False)
     self.set_cursor_visible(True)
-    self.set_wrap_mode(gtk.WRAP_WORD_CHAR)
+    self.set_wrap_mode(Gtk.WRAP_WORD_CHAR)
     self.set_left_margin(2)
     self.set_right_margin(2)
     self.set_pixels_above_lines(2)
     self.set_pixels_below_lines(2)
 
-    self.base_color = util.get_style().base[gtk.STATE_NORMAL]
-    self.error_color = gtk.gdk.color_parse("indianred")
+    self.base_color = util.get_style().base[Gtk.STATE_NORMAL]
+    self.error_color = Gdk.color_parse("indianred")
 
     # set state online/offline
     if not self.connection.isConnected():
@@ -1099,7 +1098,7 @@
 
   def expose_view(self, window, event):
     if not self.drawable:
-      self.drawable = self.get_window(gtk.TEXT_WINDOW_TEXT)
+      self.drawable = self.get_window(Gtk.TEXT_WINDOW_TEXT)
       self.pango_overlay = self.create_pango_layout("")
       self.set_overlay_text(MAX_MESSAGE_LENGTH)
 
@@ -1115,7 +1114,7 @@
   def on_text_changed(self, w):
     chars = self.get_char_count()
     color = self.error_color if chars > MAX_MESSAGE_LENGTH else self.base_color
-    self.modify_base(gtk.STATE_NORMAL, color)
+    self.modify_base(Gtk.STATE_NORMAL, color)
 
   def on_connection_online(self, *args):
     self.set_sensitive(True)
@@ -1123,6 +1122,6 @@
   def on_connection_offline(self, *args):
     self.set_sensitive(False)
 
-gtk.binding_entry_add_signal(InputTextView, gtk.keysyms.Return, 0, "submit")
-gtk.binding_entry_add_signal(InputTextView, gtk.keysyms.KP_Enter, 0, "submit")
-gtk.binding_entry_add_signal(InputTextView, gtk.keysyms.Escape, 0, "clear")
+Gtk.binding_entry_add_signal(InputTextView, Gtk.keysyms.Return, 0, "submit")
+Gtk.binding_entry_add_signal(InputTextView, Gtk.keysyms.KP_Enter, 0, "submit")
+Gtk.binding_entry_add_signal(InputTextView, Gtk.keysyms.Escape, 0, "clear")

=== modified file 'gwibber/lib/gtk/widgets.py'
--- gwibber/lib/gtk/widgets.py	2011-08-04 05:52:44 +0000
+++ gwibber/lib/gtk/widgets.py	2012-01-12 17:31:35 +0000
@@ -19,8 +19,8 @@
 #
 
 from dbus.mainloop.glib import DBusGMainLoop
+from gi.repository import GLib, GObject, Gdk, Gtk
 import json
-import gobject, gtk
 from gwibber.microblog.util.const import *
 # Try to import * from custom, install custom.py to include packaging 
 # customizations like distro API keys, etc
@@ -39,30 +39,30 @@
     gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
-class GwibberPosterVBox(gtk.VBox):
+class GwibberPosterVBox(Gtk.VBox):
   def __init__(self, content=None):
-    gtk.VBox.__init__(self)
+    Gtk.VBox.__init__(self)
     DBusGMainLoop(set_as_default=True)
-    loop = gobject.MainLoop()
+    loop = GLib.MainLoop()
     self.service = gwibber.microblog.util.getbus("Service")
 
     self.input = Input(content=content)
     self.input.connect("submit", self.on_input_activate)
     self.input.connect("changed", self.on_input_changed)
-    self.input_splitter = gtk.VPaned()
+    self.input_splitter = Gtk.VPaned()
     self.input_splitter.add1(self.input)
 
-    self.button_send = gtk.Button(_("Send"))
+    self.button_send = Gtk.Button(_("Send"))
     self.button_send.connect("clicked", self.on_button_send_clicked)
     self.message_target = AccountTargetBar()
     self.message_target.pack_end(self.button_send, False)
 
-    content = gtk.VBox(spacing=5)
+    content = Gtk.VBox(spacing=5)
     content.pack_start(self.input_splitter, True)
     content.pack_start(self.message_target, False)
     content.set_border_width(5)
 
-    layout = gtk.VBox()
+    layout = Gtk.VBox()
     layout.pack_start(content, True)
     self.add(layout)
 
@@ -77,13 +77,13 @@
     self.service.SendMessage(self.input.get_text())
     self.input.clear()
 
-class AccountTargetBar(gtk.HBox):
+class AccountTargetBar(Gtk.HBox):
   __gsignals__ = {
-      "canceled": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ())
+      "canceled": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ())
   }
 
   def __init__(self):
-    gtk.HBox.__init__(self, spacing=5)
+    Gtk.HBox.__init__(self, spacing=5)
     
     self.accounts = gwibber.microblog.util.getbus("Accounts")
     self.daemon = gwibber.microblog.util.getbus("Service")
@@ -92,7 +92,7 @@
     self.accounts.connect_to_signal("Updated", self.on_account_changed)
     self.account_list = []
 
-    self.targetbar = gtk.HBox(False, 6)
+    self.targetbar = Gtk.HBox(False, 6)
     self.targetbar.set_size_request(0, 24)
     self.pack_start(self.targetbar, True)
 
@@ -118,10 +118,10 @@
         self.account_list.append(account)
 
     for account in self.account_list:
-      img = gtk.Image ()
+      img = Gtk.Image ()
       img.set_from_file(resources.get_ui_asset("icons/breakdance/16x16/" + account["service"] + ".png"))
       img.show();
-      but = gtk.ToggleButton ()
+      but = Gtk.ToggleButton ()
       but.set_active (account["send_enabled"])
       if not account["send_enabled"]:
         but.set_tooltip_text (account["service"] + "(" + account["username"] + ") - " + _("Disabled"))
@@ -139,23 +139,23 @@
     if account["send_enabled"] != w.get_active ():
       self.accounts.SendEnabled(id)
 
-class Input(gtk.Frame):
+class Input(Gtk.Frame):
   __gsignals__ = {
-    "submit": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, int)),
-    "changed": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, (str, int)),
-    "clear": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ())
+    "submit": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, int)),
+    "changed": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, (str, int)),
+    "clear": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ())
   }
 
   def __init__(self, content=None):
-    gtk.Frame.__init__(self)
+    Gtk.Frame.__init__(self)
 
     self.textview = InputTextView(content=content)
     self.textview.connect("submit", self.do_submit_event)
     self.textview.connect("clear", self.do_clear_event)
     self.textview.get_buffer().connect("changed", self.do_changed_event)
 
-    scroll = gtk.ScrolledWindow()
-    scroll.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+    scroll = Gtk.ScrolledWindow()
+    scroll.set_policy(Gtk.POLICY_AUTOMATIC, Gtk.POLICY_AUTOMATIC)
     scroll.add(self.textview)
     self.add(scroll)
 
@@ -185,14 +185,14 @@
     self.emit("submit", text, chars)
 
 
-class InputTextView(gtk.TextView):
+class InputTextView(Gtk.TextView):
   __gsignals__ = {
-    "submit": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ()),
-    "clear": (gobject.SIGNAL_RUN_LAST | gobject.SIGNAL_ACTION, None, ())
+    "submit": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ()),
+    "clear": (GObject.SIGNAL_RUN_LAST | GObject.SIGNAL_ACTION, None, ())
   }
 
   def __init__(self, content=None):
-    gtk.TextView.__init__(self)
+    Gtk.TextView.__init__(self)
     self.drawable = None
 
     self.content = content
@@ -216,14 +216,14 @@
     self.set_accepts_tab(True)
     self.set_editable(False)
     self.set_cursor_visible(True)
-    self.set_wrap_mode(gtk.WRAP_WORD_CHAR)
+    self.set_wrap_mode(Gtk.WRAP_WORD_CHAR)
     self.set_left_margin(2)
     self.set_right_margin(2)
     self.set_pixels_above_lines(2)
     self.set_pixels_below_lines(2)
 
-    self.base_color = util.get_style().base[gtk.STATE_NORMAL]
-    self.error_color = gtk.gdk.color_parse("indianred")
+    self.base_color = util.get_style().base[Gtk.STATE_NORMAL]
+    self.error_color = Gdk.Color.parse("indianred")
 
     # set state online/offline
     if not self.connection.isConnected():
@@ -282,7 +282,7 @@
 
   def expose_view(self, window, event):
     if not self.drawable:
-      self.drawable = self.get_window(gtk.TEXT_WINDOW_TEXT)
+      self.drawable = self.get_window(Gtk.TEXT_WINDOW_TEXT)
       self.pango_overlay = self.create_pango_layout("")
       self.set_overlay_text(MAX_MESSAGE_LENGTH)
 
@@ -298,7 +298,7 @@
   def on_text_changed(self, w):
     chars = self.get_char_count()
     color = self.error_color if chars > MAX_MESSAGE_LENGTH else self.base_color
-    self.modify_base(gtk.STATE_NORMAL, color)
+    self.modify_base(Gtk.STATE_NORMAL, color)
 
   def on_connection_online(self, *args):
     self.set_sensitive(True)

=== modified file 'gwibber/microblog/dispatcher.py'
--- gwibber/microblog/dispatcher.py	2011-11-01 13:54:37 +0000
+++ gwibber/microblog/dispatcher.py	2012-01-12 17:31:35 +0000
@@ -2,12 +2,13 @@
 # -*- coding: utf-8 -*-
 
 import multiprocessing, threading, traceback, json
-import gobject, dbus, dbus.service
+import dbus, dbus.service
 import sqlite3, mx.DateTime, re, uuid
 import urlshorter, storage, network, util, uploader
 from gettext import lgettext as _
 import signal
 
+from gi.repository import GLib
 from util import log
 from util import resources
 from util import exceptions
@@ -35,7 +36,7 @@
 except:
   indicate = None
 
-gobject.threads_init()
+GLib.threads_init()
 
 # Dynamically build a list of available service plugins
 PROTOCOLS = {}
@@ -350,9 +351,9 @@
 
     if autorefresh:
       if self.refresh_timer_id:
-        gobject.source_remove(self.refresh_timer_id)
+        GLib.source_remove(self.refresh_timer_id)
       # wait a few seconds before alerting the world we are online
-      self.refresh_timer_id = gobject.timeout_add_seconds(int(10), self.refresh)
+      self.refresh_timer_id = GLib.timeout_add_seconds(int(10), self.refresh)
 
     self.accounts_service = util.getbus("Accounts")
     self.accounts_service.connect_to_signal("Updated", self.on_account_updated)
@@ -389,9 +390,9 @@
   def do_maintenance(self, *args):
     # perform some needed MessageManager maintenance
     if self.maint_timer_id:
-      gobject.source_remove(self.maint_timer_id)
+      GLib.source_remove(self.maint_timer_id)
     if self.refreshRunning:
-      self.maint_timer_id = gobject.timeout_add_seconds(60, self.do_maintenance)
+      self.maint_timer_id = GLib.timeout_add_seconds(60, self.do_maintenance)
       return False
 
     self.maintRunning = True
@@ -403,15 +404,15 @@
   def on_connection_online(self, *args):
     log.logger.info("Dispatcher Online, initiating a refresh")
     if self.refresh_timer_id:
-      gobject.source_remove(self.refresh_timer_id)
+      GLib.source_remove(self.refresh_timer_id)
     # wait a few seconds before alerting the world we are online
-    self.refresh_timer_id = gobject.timeout_add_seconds(int(10), self.refresh)
+    self.refresh_timer_id = GLib.timeout_add_seconds(int(10), self.refresh)
 
   def on_connection_offline(self, *args):
     self.refreshRunning = False
     log.logger.info("Dispatcher Offline, suspending operations")
     if self.refresh_timer_id:
-      gobject.source_remove(self.refresh_timer_id)
+      GLib.source_remove(self.refresh_timer_id)
 
   def on_account_updated(self, account):
     pass
@@ -695,7 +696,7 @@
             ",".join(self.messages.columns),
             ",".join("?" * len(self.messages.columns))), items)
 
-      gobject.idle_add (self.update_indicators, self.unseen_counts)
+      GLib.idle_add (self.update_indicators, self.unseen_counts)
 
       new_items = db.execute("""
         select * from (select * from messages where operation == "receive" and ROWID > %s and to_me = 0 ORDER BY time DESC LIMIT 10) as a union
@@ -834,7 +835,7 @@
 
   def new_search_message(self, data):
     message = json.loads(data[-1])
-    gobject.idle_add(self.cache_avatar, message)
+    GLib.idle_add(self.cache_avatar, message)
 
   def new_message(self, data):
     message = json.loads(data[-1])
@@ -846,11 +847,11 @@
       self.notified_items.append(message["mid"])
       if gsettings.get_boolean("notify-mentions-only") and message["to_me"]: 
         log.logger.debug("%s is a mention and notify_mentions_only is true", message["mid"])
-        gobject.idle_add(self.handle_notify_item, message)
+        GLib.idle_add(self.handle_notify_item, message)
       elif gsettings.get_boolean("show-notifications") and not gsettings.get_boolean("notify-mentions-only"):
         log.logger.debug("%s - show_notifications is true and notify_mentions_only is false", message["mid"])
-        gobject.idle_add(self.handle_notify_item, message)
-    gobject.idle_add(self.cache_avatar, message)
+        GLib.idle_add(self.handle_notify_item, message)
+    GLib.idle_add(self.cache_avatar, message)
     
   def handle_notify_item(self, message):
     if gsettings.get_boolean("show-fullname"):
@@ -897,7 +898,7 @@
 
   def refresh(self, *args):
     if self.refresh_timer_id:
-      gobject.source_remove(self.refresh_timer_id)
+      GLib.source_remove(self.refresh_timer_id)
 
     refresh_interval = gsettings.get_int("interval")
 
@@ -916,12 +917,12 @@
         self.perform_async_operation(operations)
 
 
-      self.refresh_timer_id = gobject.timeout_add_seconds(int(60 * refresh_interval), self.refresh)
+      self.refresh_timer_id = GLib.timeout_add_seconds(int(60 * refresh_interval), self.refresh)
     else:
-      self.refresh_timer_id = gobject.timeout_add_seconds(int(30), self.refresh)
+      self.refresh_timer_id = GLib.timeout_add_seconds(int(30), self.refresh)
 
     if not self.maintDone:
-      self.maint_timer_id = gobject.timeout_add_seconds(60, self.do_maintenance)
+      self.maint_timer_id = GLib.timeout_add_seconds(60, self.do_maintenance)
 
     return False
 

=== modified file 'gwibber/microblog/plugins/buzz/gtk/buzz/__init__.py'
--- gwibber/microblog/plugins/buzz/gtk/buzz/__init__.py	2011-01-03 21:04:56 +0000
+++ gwibber/microblog/plugins/buzz/gtk/buzz/__init__.py	2012-01-12 17:31:35 +0000
@@ -1,8 +1,8 @@
-import gtk, webkit, gnomekeyring
+import gnomekeyring
+from gi.repository import GLib, Gtk, WebKit
 import urllib, urllib2, json, urlparse, uuid
 from oauth import oauth
 
-from gtk import Builder
 from gwibber.microblog.util import resources
 import gettext
 from gettext import gettext as _
@@ -10,18 +10,18 @@
     gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
-gtk.gdk.threads_init()
+GLib.threads_init()
 
 sigmeth = oauth.OAuthSignatureMethod_HMAC_SHA1()
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring facebook accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring Buzz accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-buzz.ui"))
     self.ui.connect_signals(self)
@@ -44,7 +44,7 @@
   def on_buzz_auth_clicked(self, widget, data=None):
     self.winsize = self.window.get_size()
 
-    web = webkit.WebView()
+    web = WebKit.WebView()
     web.get_settings().set_property("enable-plugins", False)
     web.load_html_string(_("<p>Please wait...</p>"), "file:///")
 
@@ -71,7 +71,7 @@
     web.set_size_request(450, 340)
     web.connect("title-changed", self.on_buzz_auth_title_change)
 
-    scroll = gtk.ScrolledWindow()
+    scroll = Gtk.ScrolledWindow()
     scroll.add(web)
 
     self.pack_start(scroll, True, True, 0)
@@ -119,8 +119,8 @@
       self.ui.get_object("vbox_advanced").show()
 
     if title.get_title() == "Failure":
-      d = gtk.MessageDialog(None, gtk.DIALOG_MODAL, gtk.MESSAGE_ERROR,
-        gtk.BUTTONS_OK, _("Authorization failed. Please try again."))
+      d = Gtk.MessageDialog(None, Gtk.DIALOG_MODAL, Gtk.MESSAGE_ERROR,
+        Gtk.BUTTONS_OK, _("Authorization failed. Please try again."))
       if d.run(): d.destroy()
 
       web.hide()

=== modified file 'gwibber/microblog/plugins/digg/gtk/digg/__init__.py'
--- gwibber/microblog/plugins/digg/gtk/digg/__init__.py	2010-10-27 22:36:59 +0000
+++ gwibber/microblog/plugins/digg/gtk/digg/__init__.py	2012-01-12 17:31:35 +0000
@@ -18,18 +18,17 @@
 # Digg widgets for Gwibber
 #
 
-import gtk
-from gtk import Builder
+from gi.repository import Gtk
 from gwibber.microblog.util import resources
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring digg accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring digg accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-digg.ui"))
     self.ui.connect_signals(self)

=== modified file 'gwibber/microblog/plugins/facebook/gtk/facebook/__init__.py'
--- gwibber/microblog/plugins/facebook/gtk/facebook/__init__.py	2011-10-07 19:25:41 +0000
+++ gwibber/microblog/plugins/facebook/gtk/facebook/__init__.py	2012-01-12 17:31:35 +0000
@@ -18,12 +18,11 @@
 # facebook widgets for Gwibber
 #
 
-import gtk
 import urllib
-import webkit
 import string
 
-from gtk import Builder
+from gi.repository import Gdk, Gtk, WebKit
+from gi.repository.Gtk import Builder
 from gwibber.microblog.util import facelib
 from gwibber.microblog.util import resources
 from gwibber.microblog.util.const import *
@@ -42,19 +41,19 @@
 gettext.textdomain('gwibber')
 
 """
-gtk.gdk.threads_init()
+Gdk.threads_init()
 
 APP_KEY = "71b85c6d8cb5bbb9f1a3f8bbdcdd4b05"
 """
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring facebook accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring facebook accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-facebook.ui"))
     self.ui.connect_signals(self)
@@ -89,7 +88,7 @@
   def on_facebook_auth_clicked(self, widget, data=None):
     (self.win_w, self.win_h) = self.window.get_size()
 
-    web = webkit.WebView()
+    web = WebKit.WebView()
     web.get_settings().set_property("enable-plugins", False)
     web.load_html_string(_("<p>Please wait...</p>"), "file:///")
 
@@ -104,7 +103,7 @@
     web.load_uri("https://graph.facebook.com/oauth/authorize?" + url)
     web.connect("title-changed", self.on_facebook_auth_title_change)
 
-    scroll = gtk.ScrolledWindow()
+    scroll = Gtk.ScrolledWindow()
     scroll.add(web)
 
     self.pack_start(scroll, True, True, 0)
@@ -158,11 +157,11 @@
       self.ui.get_object("vbox_advanced").show()
 
     if title.get_title() == "Failure":
-      gtk.gdk.threads_enter()
-      d = gtk.MessageDialog(None, gtk.DIALOG_MODAL, gtk.MESSAGE_ERROR,
-        gtk.BUTTONS_OK, _("Facebook authorization failed. Please try again."))
+      Gdk.threads_enter()
+      d = Gtk.MessageDialog(None, Gtk.DIALOG_MODAL, Gtk.MESSAGE_ERROR,
+        Gtk.BUTTONS_OK, _("Facebook authorization failed. Please try again."))
       if d.run(): d.destroy()
-      gtk.gdk.threads_leave()
+      Gdk.threads_leave()
 
       web.hide()
       self.window.resize(self.win_w, self.win_h)

=== modified file 'gwibber/microblog/plugins/flickr/gtk/flickr/__init__.py'
--- gwibber/microblog/plugins/flickr/gtk/flickr/__init__.py	2010-11-18 05:02:37 +0000
+++ gwibber/microblog/plugins/flickr/gtk/flickr/__init__.py	2012-01-12 17:31:35 +0000
@@ -18,18 +18,17 @@
 # Flickr widgets for Gwibber
 #
 
-import gtk
-from gtk import Builder
+from gi.repository import Gtk
 from gwibber.microblog.util import resources
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring flickr accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring flickr accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-flickr.ui"))
     self.ui.connect_signals(self)

=== modified file 'gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py'
--- gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py	2011-07-28 23:57:24 +0000
+++ gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py	2012-01-12 17:31:35 +0000
@@ -1,8 +1,8 @@
-import gtk, pango, webkit, gnomekeyring
+import gnomekeyring
+from gi.repository import GLib, Gtk, Pango, WebKit
 import urllib, urllib2, json, urlparse, uuid
 from oauth import oauth
 
-from gtk import Builder
 from gwibber.microblog.util import resources
 import gettext
 from gettext import gettext as _
@@ -10,7 +10,7 @@
     gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
-gtk.gdk.threads_init()
+GLib.threads_init()
 
 sigmeth = oauth.OAuthSignatureMethod_HMAC_SHA1()
 
@@ -18,14 +18,14 @@
 CLIENT_SECRET = "TS1LGTEZSJATQG22K5SXNASF021KPXI5LJTBQOVTX4JGOTYH"
 REDIRECT_URI = "http://gwibber.com/0/auth.html"
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring foursquare accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring Foursquare accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-foursquare.ui"))
     self.ui.connect_signals(self)
@@ -60,7 +60,7 @@
   def on_foursquare_auth_clicked(self, widget, data=None):
     self.winsize = self.window.get_size()
 
-    web = webkit.WebView()
+    web = WebKit.WebView()
     web.get_settings().set_property("enable-plugins", False)
     web.load_html_string(_("<p>Please wait...</p>"), "file:///")
     
@@ -70,7 +70,7 @@
     web.set_size_request(500, 400)
     web.connect("title-changed", self.on_foursquare_auth_title_change)
 
-    self.scroll = gtk.ScrolledWindow()
+    self.scroll = Gtk.ScrolledWindow()
     self.scroll.add(web)
 
     self.pack_start(self.scroll, True, True, 0)
@@ -78,7 +78,7 @@
 
     self.ui.get_object("vbox1").hide()
     self.ui.get_object("vbox_advanced").hide()
-    self.dialog.infobar.set_message_type(gtk.MESSAGE_INFO)
+    self.dialog.infobar.set_message_type(Gtk.MESSAGE_INFO)
 
   def on_foursquare_auth_title_change(self, web=None, title=None, data=None):
     saved = False
@@ -90,9 +90,9 @@
       self.dialog.infobar_content_area.show()
       self.dialog.infobar.show()
 
-      message_label = gtk.Label(_("Verifying"))
+      message_label = Gtk.Label(_("Verifying"))
       message_label.set_use_markup(True)
-      message_label.set_ellipsize(pango.ELLIPSIZE_END)
+      message_label.set_ellipsize(Pango.ELLIPSIZE_END)
       self.dialog.infobar_content_area.add(message_label)
       self.dialog.infobar.show_all()
       self.scroll.hide()
@@ -128,16 +128,16 @@
           saved = self.dialog.on_edit_account_save()
         else:
           print "Failed"
-          self.dialog.infobar.set_message_type(gtk.MESSAGE_ERROR)
+          self.dialog.infobar.set_message_type(Gtk.MESSAGE_ERROR)
           message_label.set_text(_("Authorization failed. Please try again.")) 
       else:
         print "Failed"
-        self.dialog.infobar.set_message_type(gtk.MESSAGE_ERROR)
+        self.dialog.infobar.set_message_type(Gtk.MESSAGE_ERROR)
         message_label.set_text(_("Authorization failed. Please try again."))
 
       if saved: 
         message_label.set_text(_("Successful"))
-        self.dialog.infobar.set_message_type(gtk.MESSAGE_INFO)
+        self.dialog.infobar.set_message_type(Gtk.MESSAGE_INFO)
         #self.dialog.infobar.hide()
 
       self.ui.get_object("hbox_foursquare_auth").hide()
@@ -152,7 +152,7 @@
 
     if title.get_title() == "Failure":
       web.hide()
-      self.dialog.infobar.set_message_type(gtk.MESSAGE_ERROR)
+      self.dialog.infobar.set_message_type(Gtk.MESSAGE_ERROR)
       message_label.set_text(_("Authorization failed. Please try again."))
       self.dialog.infobar.show_all()
 

=== modified file 'gwibber/microblog/plugins/friendfeed/gtk/friendfeed/__init__.py'
--- gwibber/microblog/plugins/friendfeed/gtk/friendfeed/__init__.py	2010-10-27 22:36:59 +0000
+++ gwibber/microblog/plugins/friendfeed/gtk/friendfeed/__init__.py	2012-01-12 17:31:35 +0000
@@ -18,18 +18,17 @@
 # FriendFeed widgets for Gwibber
 #
 
-import gtk
-from gtk import Builder
+from gi.repository import Gtk
 from gwibber.microblog.util import resources
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring friendfeed accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring friendfeed accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-friendfeed.ui"))
     self.ui.connect_signals(self)

=== modified file 'gwibber/microblog/plugins/identica/gtk/identica/__init__.py'
--- gwibber/microblog/plugins/identica/gtk/identica/__init__.py	2011-01-03 21:04:56 +0000
+++ gwibber/microblog/plugins/identica/gtk/identica/__init__.py	2012-01-12 17:31:35 +0000
@@ -1,8 +1,8 @@
-import gtk, webkit, gnomekeyring
+import gnomekeyring
+from gi.repository import GLib, Gtk, WebKit
 import urllib, urllib2, json, urlparse, uuid
 from oauth import oauth
 
-from gtk import Builder
 import gwibber.microblog
 from gwibber.microblog.util import resources
 import gettext
@@ -11,19 +11,19 @@
     gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
-gtk.gdk.threads_init()
+GLib.threads_init()
 
 sigmeth = oauth.OAuthSignatureMethod_HMAC_SHA1()
 
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring identi.ca accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring identi.ca accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-identica.ui"))
     self.ui.connect_signals(self)
@@ -58,7 +58,7 @@
   def on_statusnet_auth_clicked(self, widget, data=None):
     self.winsize = self.window.get_size()
 
-    web = webkit.WebView()
+    web = WebKit.WebView()
     web.get_settings().set_property("enable-plugins", False)
     web.load_html_string(_("<p>Please wait...</p>"), "file:///")
 
@@ -81,7 +81,7 @@
 
     web.connect("title-changed", self.on_statusnet_auth_title_change)
 
-    scroll = gtk.ScrolledWindow()
+    scroll = Gtk.ScrolledWindow()
     scroll.add(web)
 
     self.pack_start(scroll, True, True, 0)
@@ -208,8 +208,8 @@
       self.ui.get_object("vbox_advanced").show()
 
     if title.get_title() == "Failure":
-      d = gtk.MessageDialog(None, gtk.DIALOG_MODAL, gtk.MESSAGE_ERROR,
-        gtk.BUTTONS_OK, _("Authorization failed. Please try again."))
+      d = Gtk.MessageDialog(None, Gtk.DIALOG_MODAL, Gtk.MESSAGE_ERROR,
+        Gtk.BUTTONS_OK, _("Authorization failed. Please try again."))
       if d.run(): d.destroy()
 
       web.hide()

=== modified file 'gwibber/microblog/plugins/pingfm/gtk/pingfm/__init__.py'
--- gwibber/microblog/plugins/pingfm/gtk/pingfm/__init__.py	2010-10-27 22:36:59 +0000
+++ gwibber/microblog/plugins/pingfm/gtk/pingfm/__init__.py	2012-01-12 17:31:35 +0000
@@ -18,18 +18,17 @@
 # Ping.fm widgets for Gwibber
 #
 
-import gtk
-from gtk import Builder
+from gi.repository import Gtk
 from gwibber.microblog.util import resources
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring pingfm accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring pingfm accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-pingfm.ui"))
     self.ui.connect_signals(self)

=== modified file 'gwibber/microblog/plugins/qaiku/gtk/qaiku/__init__.py'
--- gwibber/microblog/plugins/qaiku/gtk/qaiku/__init__.py	2010-10-27 22:36:59 +0000
+++ gwibber/microblog/plugins/qaiku/gtk/qaiku/__init__.py	2012-01-12 17:31:35 +0000
@@ -18,18 +18,17 @@
 # Twitter widgets for Gwibber
 #
 
-import gtk
-from gtk import Builder
+from gi.repository import Gtk
 from gwibber.microblog.util import resources
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring qaiku accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring qaiku accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-qaiku.ui"))
     self.ui.connect_signals(self)

=== modified file 'gwibber/microblog/plugins/statusnet/gtk/statusnet/__init__.py'
--- gwibber/microblog/plugins/statusnet/gtk/statusnet/__init__.py	2011-01-03 21:04:56 +0000
+++ gwibber/microblog/plugins/statusnet/gtk/statusnet/__init__.py	2012-01-12 17:31:35 +0000
@@ -1,8 +1,8 @@
-import gtk, webkit, gnomekeyring
+import gnomekeyring
+from gi.repository import GLib, Gtk, WebKit
 import urllib, urllib2, json, urlparse, uuid
 from oauth import oauth
 
-from gtk import Builder
 import gwibber.microblog
 from gwibber.microblog.util import resources
 import gettext
@@ -11,19 +11,19 @@
     gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
-gtk.gdk.threads_init()
+GLib.threads_init()
 
 sigmeth = oauth.OAuthSignatureMethod_HMAC_SHA1()
 
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring statusnet accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring statusnet accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-statusnet.ui"))
     self.ui.connect_signals(self)
@@ -68,7 +68,7 @@
 
     self.winsize = self.window.get_size()
 
-    web = webkit.WebView()
+    web = WebKit.WebView()
     web.get_settings().set_property("enable-plugins", False)
     web.load_html_string(_("<p>Please wait...</p>"), "file:///")
 
@@ -91,7 +91,7 @@
 
     web.connect("title-changed", self.on_statusnet_auth_title_change)
 
-    scroll = gtk.ScrolledWindow()
+    scroll = Gtk.ScrolledWindow()
     scroll.add(web)
 
     self.pack_start(scroll, True, True, 0)
@@ -222,8 +222,8 @@
       self.ui.get_object("vbox_advanced").show()
 
     if title.get_title() == "Failure":
-      d = gtk.MessageDialog(None, gtk.DIALOG_MODAL, gtk.MESSAGE_ERROR,
-        gtk.BUTTONS_OK, _("Authorization failed. Please try again."))
+      d = Gtk.MessageDialog(None, Gtk.DIALOG_MODAL, Gtk.MESSAGE_ERROR,
+        Gtk.BUTTONS_OK, _("Authorization failed. Please try again."))
       if d.run(): d.destroy()
 
       web.hide()

=== modified file 'gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py'
--- gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py	2011-08-02 17:03:52 +0000
+++ gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py	2012-01-12 17:31:35 +0000
@@ -1,8 +1,8 @@
-import gtk, pango, webkit, gnomekeyring
+import gnomekeyring
+from gi.repository import GLib, Gtk, Pango, WebKit
 import urllib, urllib2, json, urlparse, uuid
 from oauth import oauth
 
-from gtk import Builder
 from gwibber.microblog.util import resources
 import gettext
 from gettext import gettext as _
@@ -10,23 +10,23 @@
     gettext.bind_textdomain_codeset('gwibber','UTF-8')
 gettext.textdomain('gwibber')
 
-gtk.gdk.threads_init()
+GLib.threads_init()
 
 sigmeth = oauth.OAuthSignatureMethod_HMAC_SHA1()
 
-class AccountWidget(gtk.VBox):
+class AccountWidget(Gtk.VBox):
   """AccountWidget: A widget that provides a user interface for configuring twitter accounts in Gwibber
   """
   
   def __init__(self, account=None, dialog=None):
     """Creates the account pane for configuring Twitter accounts"""
-    gtk.VBox.__init__( self, False, 20 )
-    self.ui = gtk.Builder()
+    Gtk.VBox.__init__( self, False, 20 )
+    self.ui = Gtk.Builder()
     self.ui.set_translation_domain ("gwibber")
     self.ui.add_from_file (resources.get_ui_asset("gwibber-accounts-twitter.ui"))
     self.ui.connect_signals(self)
     self.vbox_settings = self.ui.get_object("vbox_settings")
-    self.pack_start(self.vbox_settings, False, False)
+    self.pack_start(self.vbox_settings, False, False, 0)
     self.show_all()
 
     self.account = account or {}
@@ -56,7 +56,7 @@
   def on_twitter_auth_clicked(self, widget, data=None):
     self.winsize = self.window.get_size()
 
-    web = webkit.WebView()
+    web = WebKit.WebView()
     web.get_settings().set_property("enable-plugins", False)
     web.load_html_string(_("<p>Please wait...</p>"), "file:///")
 
@@ -77,7 +77,7 @@
     web.set_size_request(550, 450)
     web.connect("title-changed", self.on_twitter_auth_title_change)
 
-    self.scroll = gtk.ScrolledWindow()
+    self.scroll = Gtk.ScrolledWindow()
     self.scroll.add(web)
 
     self.pack_start(self.scroll, True, True, 0)
@@ -85,7 +85,7 @@
 
     self.ui.get_object("vbox1").hide()
     self.ui.get_object("vbox_advanced").hide()
-    self.dialog.infobar.set_message_type(gtk.MESSAGE_INFO)
+    self.dialog.infobar.set_message_type(Gtk.MESSAGE_INFO)
 
   def on_twitter_auth_title_change(self, web=None, title=None, data=None):
     saved = False
@@ -97,9 +97,9 @@
       self.dialog.infobar_content_area.show()
       self.dialog.infobar.show()
 
-      message_label = gtk.Label(_("Verifying"))
+      message_label = Gtk.Label(_("Verifying"))
       message_label.set_use_markup(True)
-      message_label.set_ellipsize(pango.ELLIPSIZE_END)
+      message_label.set_ellipsize(Pango.ELLIPSIZE_END)
       self.dialog.infobar_content_area.add(message_label)
       self.dialog.infobar.show_all()
       self.scroll.hide()
@@ -142,16 +142,16 @@
           saved = self.dialog.on_edit_account_save()
         else:
           print "Failed"
-          self.dialog.infobar.set_message_type(gtk.MESSAGE_ERROR)
+          self.dialog.infobar.set_message_type(Gtk.MESSAGE_ERROR)
           message_label.set_text(_("Authorization failed. Please try again.")) 
       else:
         print "Failed"
-        self.dialog.infobar.set_message_type(gtk.MESSAGE_ERROR)
+        self.dialog.infobar.set_message_type(Gtk.MESSAGE_ERROR)
         message_label.set_text(_("Authorization failed. Please try again."))
 
       if saved: 
         message_label.set_text(_("Successful"))
-        self.dialog.infobar.set_message_type(gtk.MESSAGE_INFO)
+        self.dialog.infobar.set_message_type(Gtk.MESSAGE_INFO)
         #self.dialog.infobar.hide()
 
       self.ui.get_object("hbox_twitter_auth").hide()
@@ -166,7 +166,7 @@
 
     if title.get_title() == "Failure":
       web.hide()
-      self.dialog.infobar.set_message_type(gtk.MESSAGE_ERROR)
+      self.dialog.infobar.set_message_type(Gtk.MESSAGE_ERROR)
       message_label.set_text(_("Authorization failed. Please try again."))
       self.dialog.infobar.show_all()
 

=== modified file 'gwibber/microblog/storage.py'
--- gwibber/microblog/storage.py	2011-10-23 04:11:05 +0000
+++ gwibber/microblog/storage.py	2012-01-12 17:31:35 +0000
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 import json, sqlite3, uuid
-import gtk, gobject, dbus, dbus.service
+import dbus, dbus.service
 import util, util.keyring, atexit
 from util import log
 from dbus.mainloop.glib import DBusGMainLoop

=== modified file 'gwibber/microblog/util/__init__.py'
--- gwibber/microblog/util/__init__.py	2011-09-19 22:23:09 +0000
+++ gwibber/microblog/util/__init__.py	2012-01-12 17:31:35 +0000
@@ -163,22 +163,21 @@
 	return False
 
 try:
-  import pynotify
-  import gtk, gtk.gdk, glib
-  pynotify.init("Gwibber")
+  from gi.repository import GdkPixbuf, GLib, Notify
+  Notify.init("Gwibber")
 
   def notify(title, text, icon = None, timeout = None, iconsize = 48):
     if icon is None:
       icon = resources.get_ui_asset("gwibber.svg")
     
-    caps = pynotify.get_server_caps()
+    caps = Notify.Notification.get_server_caps()
     
-    notification = pynotify.Notification(title, text)
+    notification = Notify.Notification.new(title, text)
 
     try:
-      pixbuf = gtk.gdk.pixbuf_new_from_file_at_size(icon, iconsize, iconsize)
+      pixbuf = GdkPixbuf.new_from_file_at_size(icon, iconsize, iconsize)
       notification.set_icon_from_pixbuf(pixbuf)
-    except glib.GError as e:
+    except GLib.Error as e:
       log.logger.error("Avatar failure - %s - %s", icon, e.message)
       resources.del_avatar(icon)
 

=== modified file 'gwibber/microblog/util/resources.py'
--- gwibber/microblog/util/resources.py	2011-11-04 12:40:19 +0000
+++ gwibber/microblog/util/resources.py	2012-01-12 17:31:35 +0000
@@ -12,7 +12,7 @@
 import log
 import mx.DateTime
 from gwibber.microblog import network
-from const import *
+from gwibber.microblog.util.const import *
 import inspect
 
 # Try to import * from custom, install custom.py to include packaging 

=== removed file 'gwibber/preferences.py'
--- gwibber/preferences.py	2010-10-18 19:32:16 +0000
+++ gwibber/preferences.py	1970-01-01 00:00:00 +0000
@@ -1,123 +0,0 @@
-#
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#
-# Copyright (C) 2010 Ken VanDine <ken.vandine@canonical.com>
-#
-# Preferences interface for Gwibber
-#
-
-import pygtk
-try:
-  pygtk.require("2.0") 
-except:
-  print "Requires pygtk 2.0 or later"
-  exit
-
-import gtk, gconf
-from gwibber import util
-from microblog.util import resources
-from microblog import config
-
-import gettext
-from gettext import lgettext as _
-if hasattr(gettext, 'bind_textdomain_codeset'):
-  gettext.bind_textdomain_codeset('gwibber','UTF-8')
-gettext.textdomain('gwibber')
-
-from microblog.util.const import *
-# Try to import * from custom, install custom.py to include packaging 
-# customizations like distro API keys, etc
-try:
-  from microblog.util.custom import *
-except:
-  pass
-
-from microblog.urlshorter import PROTOCOLS as urlshorters
-
-from dbus.mainloop.glib import DBusGMainLoop
-
-DBusGMainLoop(set_as_default=True)
-
-class GwibberPreferences(object):
-  def __init__(self):
-    self.ui = gtk.Builder()
-    self.ui.set_translation_domain("gwibber")
-    self.ui.add_from_file(resources.get_ui_asset("gwibber-preferences-dialog.ui"))
-    self.ui.connect_signals(self)
-    self.gc = gconf.client_get_default()
-    dialog = self.ui.get_object("prefs_dialog")
-    dialog.set_icon_from_file(resources.get_ui_asset("gwibber.svg"))
-
-    self.settings = config.Preferences()
-    
-    setting_keys = [
-      "autostart",
-      "show_notifications",
-      "notify_mentions_only",
-      "no_notifications",
-      "show_fullname",
-      "shorten_urls",
-      "reply_append_colon",
-      "global_retweet",
-      "interval",
-      "minimize_to_tray",
-      "hide_taskbar_entry",
-      "show_tray_icon",
-    ]
-
-    for key in setting_keys:
-      self.settings.bind(self.ui.get_object(key), key)
-
-    self.populate_settings_widgets()
-
-    for key in ["theme", "urlshorter", "retweet_style"]:
-      # Don't blow up if these values aren't set to something expected
-      # just reset to the default and carry on
-      try:
-        self.settings.bind(getattr(self, key + "_selector"), key)
-      except:
-        config.GCONF.set_value(config.GCONF_PREFERENCES_DIR + "/" + key, self.settings.defaults[key])
-        self.settings.bind(getattr(self, key + "_selector"), key)
-
-    dialog.show_all()
-
-  def populate_settings_widgets(self):
-    self.theme_selector = gtk.combo_box_new_text()
-    for theme in sorted(resources.get_themes()): self.theme_selector.append_text(theme)
-    self.ui.get_object("theme_container").pack_start(self.theme_selector, True, True)
-    self.theme_selector.set_active_iter(dict([(x[0].strip(), x.iter) for x in self.theme_selector.get_model()]).get(
-      self.settings["theme"], self.theme_selector.get_model().get_iter_root()))
-    self.theme_selector.show_all()
-    self.urlshorter_selector = gtk.combo_box_new_text()
-    for urlshorter in urlshorters.keys(): self.urlshorter_selector.append_text(urlshorter)
-    self.ui.get_object("urlshorter_container").pack_start(self.urlshorter_selector, True, True)
-
-    self.urlshorter_selector.set_active_iter(dict([(x[0].strip(), x.iter) for x in self.urlshorter_selector.get_model()]).get(
-      self.settings["urlshorter"], self.urlshorter_selector.get_model().get_iter_root()))
-    self.urlshorter_selector.show_all()
-
-    self.retweet_style_selector = gtk.combo_box_new_text()
-    for format in RETWEET_FORMATS: self.retweet_style_selector.append_text(format)
-    self.ui.get_object("retweet_style_container").pack_start(self.retweet_style_selector, True, True)
-    self.retweet_style_selector.set_active_iter(dict([(x[0].strip(), x.iter) for x in self.retweet_style_selector.get_model()]).get(
-      self.settings["retweet_style"], self.retweet_style_selector.get_model().get_iter_root()))
-    self.retweet_style_selector.show_all()
-
-  def on_close_button_clicked(self, widget, data=None):
-    gtk.main_quit()
-    
-  def on_prefs_dialog_destroy_event(self, widget, data=None):
-    gtk.main_quit()
-

=== modified file 'gwibber/util.py'
--- gwibber/util.py	2011-03-11 20:05:56 +0000
+++ gwibber/util.py	2012-01-12 17:31:35 +0000
@@ -1,6 +1,6 @@
-import gtk, dbus, os, mx.DateTime, webbrowser
+import dbus, os, mx.DateTime, webbrowser
 import subprocess
-import gobject
+from gi.repository import GLib, Gdk, GdkPixbuf, Gtk
 from microblog.util import resources
 from microblog.util.const import *
 # Try to import * from custom, install custom.py to include packaging 
@@ -31,29 +31,29 @@
 
   @classmethod
   def from_gtk_color(self, c):
-    if isinstance(c, gtk.gdk.Color): c = c.to_string()
+    if isinstance(c, Gdk.Color): c = c.to_string()
     return self("#" + "".join([c[1:3], c[5:7], c[9:11]]))
 
 def get_style():
-  w = gtk.Window()
+  w = Gtk.Window()
   w.realize()
   return w.get_style()
 
-def get_theme_colors(w = gtk.Window()):
+def get_theme_colors(w = Gtk.Window()):
   w.realize()
   style = w.get_style()
   output = {}
   
   for i in ["base", "text", "fg", "bg"]:
-    c = getattr(style, i)[gtk.STATE_NORMAL]
+    c = getattr(style, i)[Gtk.STATE_NORMAL]
     output[i] = Color.from_gtk_color(c)
-    c = getattr(style, i)[gtk.STATE_SELECTED]
+    c = getattr(style, i)[Gtk.STATE_SELECTED]
     output["%s_selected" % i] = Color.from_gtk_color(c)
 
   return output
 
 def pixbuf(path):
-  return gtk.gdk.pixbuf_new_from_file(resources.get_ui_asset(path))
+  return GdkPixbuf.new_from_file(resources.get_ui_asset(path))
 
 def icon(name, size=16, use_theme=True):
   if use_theme:
@@ -64,12 +64,12 @@
         if os.path.exists(fname + ext):
           return fname + ext
 
-  theme = gtk.icon_theme_get_default()
+  theme = Gtk.IconTheme.get_default()
   finfo = theme.lookup_icon(name, size, 0)
   return finfo.get_filename() if finfo else None
 
 def get_service_icon(name, size=16):
-  theme = gtk.icon_theme_get_default()
+  theme = Gtk.IconTheme.get_default()
   finfo = theme.lookup_icon(name, size, 0)
   if finfo:
     return finfo.get_filename()
@@ -142,7 +142,7 @@
     cmd.insert(0, "gwibber-accounts")
   print cmd
   process = subprocess.Popen(cmd)
-  gobject.timeout_add(500, check_ret, process, obj, callback) 
+  GLib.timeout_add(500, check_ret, process, obj, callback) 
 
 def check_ret(process, obj=None, callback=None):
   if callback == None:

=== removed file 'po/Makefile.in.in'
--- po/Makefile.in.in	2011-12-06 19:58:21 +0000
+++ po/Makefile.in.in	1970-01-01 00:00:00 +0000
@@ -1,217 +0,0 @@
-# Makefile for program source directory in GNU NLS utilities package.
-# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
-# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
-#
-# This file may be copied and used freely without restrictions.  It may
-# be used in projects which are not available under a GNU Public License,
-# but which still want to provide support for the GNU gettext functionality.
-#
-# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
-#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
-#
-# - Modified by jacob berkman <jacob@ximian.com> to install
-#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
-#
-# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
-#
-# We have the following line for use by intltoolize:
-# INTLTOOL_MAKEFILE
-
-GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
-PACKAGE = @PACKAGE@
-VERSION = @VERSION@
-
-SHELL = @SHELL@
-
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = @top_builddir@
-VPATH = @srcdir@
-
-prefix = @prefix@
-exec_prefix = @exec_prefix@
-datadir = @datadir@
-datarootdir = @datarootdir@
-libdir = @libdir@
-DATADIRNAME = @DATADIRNAME@
-itlocaledir = $(prefix)/$(DATADIRNAME)/locale
-subdir = po
-install_sh = @install_sh@
-# Automake >= 1.8 provides @mkdir_p@.
-# Until it can be supposed, use the safe fallback:
-mkdir_p = $(install_sh) -d
-
-INSTALL = @INSTALL@
-INSTALL_DATA = @INSTALL_DATA@
-
-GMSGFMT = @GMSGFMT@
-MSGFMT = @MSGFMT@
-XGETTEXT = @XGETTEXT@
-INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
-MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
-GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot
-
-ALL_LINGUAS = @ALL_LINGUAS@
-
-PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)
-
-USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep \^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep \^$$lang$$`"; then printf "$$lang "; fi; done; fi)
-
-USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)
-
-POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)
-
-DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
-EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS
-
-POTFILES = \
-# This comment gets stripped out
-
-CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)
-
-.SUFFIXES:
-.SUFFIXES: .po .pox .gmo .mo .msg .cat
-
-.po.pox:
-	$(MAKE) $(GETTEXT_PACKAGE).pot
-	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox
-
-.po.mo:
-	$(MSGFMT) -o $@ $<
-
-.po.gmo:
-	file=`echo $* | sed 's,.*/,,'`.gmo \
-	  && rm -f $$file && $(GMSGFMT) -o $$file $<
-
-.po.cat:
-	sed -f ../intl/po2msg.sed < $< > $*.msg \
-	  && rm -f $@ && gencat $@ $*.msg
-
-
-all: all-@USE_NLS@
-
-all-yes: $(CATALOGS)
-all-no:
-
-$(GETTEXT_PACKAGE).pot: $(POTFILES)
-	$(GENPOT)
-
-install: install-data
-install-data: install-data-@USE_NLS@
-install-data-no: all
-install-data-yes: all
-	linguas="$(USE_LINGUAS)"; \
-	for lang in $$linguas; do \
-	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
-	  $(mkdir_p) $$dir; \
-	  if test -r $$lang.gmo; then \
-	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
-	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
-	  else \
-	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
-	    echo "installing $(srcdir)/$$lang.gmo as" \
-		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
-	  fi; \
-	  if test -r $$lang.gmo.m; then \
-	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
-	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
-	  else \
-	    if test -r $(srcdir)/$$lang.gmo.m ; then \
-	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
-		$$dir/$(GETTEXT_PACKAGE).mo.m; \
-	      echo "installing $(srcdir)/$$lang.gmo.m as" \
-		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
-	    else \
-	      true; \
-	    fi; \
-	  fi; \
-	done
-
-# Empty stubs to satisfy archaic automake needs
-dvi info ctags tags CTAGS TAGS ID:
-
-# Define this as empty until I found a useful application.
-install-exec installcheck:
-
-uninstall:
-	linguas="$(USE_LINGUAS)"; \
-	for lang in $$linguas; do \
-	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
-	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
-	done
-
-check: all $(GETTEXT_PACKAGE).pot
-	rm -f missing notexist
-	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
-	if [ -r missing -o -r notexist ]; then \
-	  exit 1; \
-	fi
-
-mostlyclean:
-	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
-	rm -f .intltool-merge-cache
-
-clean: mostlyclean
-
-distclean: clean
-	rm -f Makefile Makefile.in POTFILES stamp-it
-	rm -f *.mo *.msg *.cat *.cat.m *.gmo
-
-maintainer-clean: distclean
-	@echo "This command is intended for maintainers to use;"
-	@echo "it deletes files that may require special tools to rebuild."
-	rm -f Makefile.in.in
-
-distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
-dist distdir: $(DISTFILES)
-	dists="$(DISTFILES)"; \
-	extra_dists="$(EXTRA_DISTFILES)"; \
-	for file in $$extra_dists; do \
-	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
-	done; \
-	for file in $$dists; do \
-	  test -f $$file || file="$(srcdir)/$$file"; \
-	  ln $$file $(distdir) 2> /dev/null \
-	    || cp -p $$file $(distdir); \
-	done
-
-update-po: Makefile
-	$(MAKE) $(GETTEXT_PACKAGE).pot
-	tmpdir=`pwd`; \
-	linguas="$(USE_LINGUAS)"; \
-	for lang in $$linguas; do \
-	  echo "$$lang:"; \
-	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
-	  if $$result; then \
-	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
-	      rm -f $$tmpdir/$$lang.new.po; \
-            else \
-	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
-	        :; \
-	      else \
-	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
-	        rm -f $$tmpdir/$$lang.new.po; \
-	        exit 1; \
-	      fi; \
-	    fi; \
-	  else \
-	    echo "msgmerge for $$lang.gmo failed!"; \
-	    rm -f $$tmpdir/$$lang.new.po; \
-	  fi; \
-	done
-
-Makefile POTFILES: stamp-it
-	@if test ! -f $@; then \
-	  rm -f stamp-it; \
-	  $(MAKE) stamp-it; \
-	fi
-
-stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
-	cd $(top_builddir) \
-	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
-	       $(SHELL) ./config.status
-
-# Tell versions [3.59,3.63) of GNU make not to export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:

=== removed file 'po/gwibber.pot'
--- po/gwibber.pot	2012-01-05 21:12:45 +0000
+++ po/gwibber.pot	1970-01-01 00:00:00 +0000
@@ -1,1043 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-#
-#, fuzzy
-msgid ""
-msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
-"Report-Msgid-Bugs-To: ken@vandine.org\n"
-"POT-Creation-Date: 2012-01-05 14:38-0500\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
-"Language: \n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=INTEGER; plural=EXPRESSION;\n"
-
-#: ../data/gwibber.desktop.in.in.h:1
-#: ../gwibber/microblog/util/exceptions.py:42
-#: ../lens/data/gwibber.lens.in.in.h:1
-msgid "Gwibber"
-msgstr ""
-
-#: ../data/gwibber.desktop.in.in.h:2
-msgid "Social Client"
-msgstr ""
-
-#: ../data/gwibber.desktop.in.in.h:3
-msgid "Gwibber Social Client"
-msgstr ""
-
-#: ../data/gwibber.desktop.in.in.h:4
-msgid "Update your microblog and follow your contacts' statuses"
-msgstr ""
-
-#: ../data/gwibber-accounts.desktop.in.h:1
-#: ../data/gwibber-accounts-dialog.ui.h:1
-msgid "Broadcast Accounts"
-msgstr ""
-
-#: ../data/gwibber-accounts.desktop.in.h:2
-msgid "Add, edit, and delete your broadcast accounts"
-msgstr ""
-
-#: ../data/gwibber-preferences.desktop.in.h:1
-msgid "Broadcast Preferences"
-msgstr ""
-
-#: ../data/gwibber-preferences.desktop.in.h:2
-msgid "Change your broadcast preferences"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:1
-msgid "Autostart service"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:2
-msgid "Autostart the Gwibber Service"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:3
-msgid "Refresh interval"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:4
-#: ../data/gwibber-preferences-dialog.ui.h:8
-msgid "Do not display notifications"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:5
-#: ../data/gwibber-preferences-dialog.ui.h:6
-msgid "Mentions and replies only"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:6
-msgid "Display notifications for mentions and replies only"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:7
-#: ../data/gwibber-preferences-dialog.ui.h:4
-msgid "All messages"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:8
-msgid "Display notifications for all messages"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:9
-msgid "Check current presence status"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:10
-msgid "Check the current presence status"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:11
-msgid "Show fullnames in posts"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:12
-msgid "Append a colon when replying"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:13
-msgid "Shorten URLS"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:14
-msgid "Shorten URLs in posts"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:15
-msgid "URL shortening service"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:16
-msgid "Preferred URL shortening service"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:17
-msgid "Imaging uploading service"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:18
-msgid "Preferred Image uploading service"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:19
-msgid "Log debug messages"
-msgstr ""
-
-#: ../data/org.gwibber.gschema.xml.in.in.h:20
-msgid "Verbose debug logging"
-msgstr ""
-
-#: ../client/attachments-item.vala:26
-msgid "Attachments"
-msgstr ""
-
-#: ../client/attachments-item.vala:37 ../lens/src/daemon.vala:131
-#: ../lens/src/daemon.vala:202 ../gwibber/gwui.py:106
-msgid "Images"
-msgstr ""
-
-#: ../client/attachments-item.vala:48 ../lens/src/daemon.vala:133
-#: ../lens/src/daemon.vala:210 ../gwibber/gwui.py:106
-msgid "Links"
-msgstr ""
-
-#: ../client/attachments-item.vala:59 ../lens/src/daemon.vala:132
-#: ../lens/src/daemon.vala:206 ../gwibber/gwui.py:106
-msgid "Videos"
-msgstr ""
-
-#: ../client/home-item.vala:22 ../gwibber/gwui.py:98
-msgid "Home"
-msgstr ""
-
-#: ../client/replies-item.vala:23 ../lens/src/daemon.vala:130
-#: ../lens/src/daemon.vala:198 ../gwibber/gwui.py:106
-#: ../gwibber/microblog/dispatcher.py:743
-msgid "Replies"
-msgstr ""
-
-#: ../client/gwibber-client.vala:180 ../gwibber/client.py:341
-msgid "_Gwibber"
-msgstr ""
-
-#: ../client/gwibber-client.vala:182
-msgid "_View"
-msgstr ""
-
-#: ../client/gwibber-client.vala:184 ../gwibber/client.py:342
-msgid "_Edit"
-msgstr ""
-
-#: ../client/gwibber-client.vala:186 ../gwibber/client.py:343
-msgid "_Help"
-msgstr ""
-
-#: ../client/gwibber-client.vala:188 ../gwibber/client.py:345
-#: ../gwibber/client.py:380
-msgid "_Refresh"
-msgstr ""
-
-#: ../client/gwibber-client.vala:190 ../gwibber/client.py:350
-msgid "_Quit"
-msgstr ""
-
-#: ../client/gwibber-client.vala:192
-msgid "_Sort"
-msgstr ""
-
-#: ../client/gwibber-client.vala:194 ../gwibber/client.py:347
-#: ../gwibber/client.py:384
-msgid "_Accounts"
-msgstr ""
-
-#: ../client/gwibber-client.vala:196 ../gwibber/client.py:348
-#: ../gwibber/client.py:388
-msgid "_Preferences"
-msgstr ""
-
-#: ../client/gwibber-client.vala:198 ../gwibber/client.py:349
-msgid "_About"
-msgstr ""
-
-#: ../client/gwibber-client.vala:202
-msgid "_Ascending"
-msgstr ""
-
-#: ../client/gwibber-client.vala:204
-msgid "_Descending"
-msgstr ""
-
-#: ../client/gwibber-client.vala:289
-msgid ""
-"Gwibber is free software; you can redistribute it and/or modify it under the "
-"terms of the GNU General Public License as published by the Free Software "
-"Foundation; either version 2 of the License, or (at your option) any later "
-"version.\n"
-"\n"
-"Gwibber is distributed in the hope that it will be useful, but WITHOUT ANY "
-"WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS "
-"FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more "
-"details.\n"
-"\n"
-"You should have received a copy of the GNU General Public License along with "
-"Gwibber; if not, write to the Free Software Foundation, Inc., 51 Franklin "
-"Street, Fifth Floor, Boston, MA 02110-130159 USA"
-msgstr ""
-
-#: ../client/gwibber-client.vala:328 ../lens/src/daemon.vala:127
-msgid "Stream"
-msgstr ""
-
-#: ../client/gwibber-client.vala:328
-msgid "STREAM"
-msgstr ""
-
-#: ../client/gwibber-client.vala:373
-msgid "— Gwibber Client"
-msgstr ""
-
-#. This list is defined just to get the strings in the template for translation
-#: ../client/messages-item.vala:23 ../lens/src/daemon.vala:129
-#: ../lens/src/daemon.vala:194 ../gwibber/gwui.py:106
-#: ../gwibber/microblog/dispatcher.py:731
-#: ../data/gwibber-preferences-dialog.ui.h:20
-msgid "Messages"
-msgstr ""
-
-#: ../client/private-item.vala:23
-msgid "Private Messages"
-msgstr ""
-
-#: ../client/gwibber-preferences.vala:36
-#: ../data/gwibber-preferences-dialog.ui.h:2
-msgid "Broadcast Messaging Preferences"
-msgstr ""
-
-#: ../client/public-item.vala:23 ../lens/src/daemon.vala:135
-#: ../lens/src/daemon.vala:218
-msgid "Public"
-msgstr ""
-
-#: ../client/searches-item.vala:34
-msgid "Searches"
-msgstr ""
-
-#: ../client/searches-item.vala:134
-msgid "Saved Searches"
-msgstr ""
-
-#: ../client/tab-bar.vala:25
-msgid "New Message"
-msgstr ""
-
-#: ../client/users-item.vala:39
-msgid "Users"
-msgstr ""
-
-#: ../libgwibber/utils.vala:85
-msgid "a few seconds ago"
-msgstr ""
-
-#: ../libgwibber/utils.vala:87
-#, c-format
-msgid "%i minute ago"
-msgid_plural "%i minutes ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../libgwibber/utils.vala:89
-#, c-format
-msgid "%i hour ago"
-msgid_plural "%i hours ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../libgwibber/utils.vala:90
-#, c-format
-msgid "%i day ago"
-msgid_plural "%i days ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../libgwibber-gtk/entry.vala:337
-msgid "Send with:"
-msgstr ""
-
-#: ../libgwibber-gtk/entry.vala:364 ../libgwibber-gtk/entry.vala:489
-#: ../gwibber/client.py:233 ../gwibber/lib/gtk/widgets.py:55
-msgid "Send"
-msgstr ""
-
-#: ../libgwibber-gtk/entry.vala:401 ../libgwibber-gtk/entry.vala:440
-#: ../gwibber/lib/gtk/widgets.py:110 ../gwibber/lib/gtk/widgets.py:127
-msgid "Disabled"
-msgstr ""
-
-#: ../libgwibber-gtk/stream-view-tile.vala:666
-#, c-format
-msgid "%i person liked this"
-msgid_plural "%i people liked this"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../libgwibber-gtk/stream-view-tile.vala:725
-#: ../libgwibber-gtk/stream-view-tile.vala:730
-msgid "in reply to"
-msgstr ""
-
-#: ../libgwibber-gtk/stream-view-tile.vala:740
-#: ../libgwibber-gtk/stream-view-tile.vala:745
-msgid "shared by"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:150 ../gwibber/actions.py:37
-msgid "_Reply"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:189
-msgid "_Like"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:227 ../gwibber/actions.py:127
-msgid "Liked"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:227
-#, c-format
-msgid "Liked post from %s"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:239
-msgid "Re_tweet"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:243
-msgid "Re_peat"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:248
-msgid "Shared"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:248
-#, c-format
-msgid "Shared post from %s"
-msgstr ""
-
-#: ../libgwibber-gtk/action-box.vala:257
-msgid "View User _Profile"
-msgstr ""
-
-#: ../lens/src/daemon.vala:65 ../lens/data/gwibber.lens.in.in.h:3
-msgid "Enter name or content you would like to search for"
-msgstr ""
-
-#: ../lens/src/daemon.vala:134 ../lens/src/daemon.vala:214
-#: ../gwibber/gwui.py:106 ../gwibber/microblog/dispatcher.py:755
-msgid "Private"
-msgstr ""
-
-#: ../lens/src/daemon.vala:170
-msgid "Account"
-msgstr ""
-
-#: ../gwibber/actions.py:56
-msgid "View reply t_hread"
-msgstr ""
-
-#: ../gwibber/actions.py:66
-msgid "R_etweet"
-msgstr ""
-
-#: ../gwibber/actions.py:98
-msgid "_Direct Message"
-msgstr ""
-
-#: ../gwibber/actions.py:114
-msgid "_Like this message"
-msgstr ""
-
-#: ../gwibber/actions.py:127
-msgid "You have marked this message as liked."
-msgstr ""
-
-#: ../gwibber/actions.py:139
-msgid "_Delete this message"
-msgstr ""
-
-#: ../gwibber/actions.py:152
-msgid "Deleted"
-msgstr ""
-
-#: ../gwibber/actions.py:152
-msgid "The message has been deleted."
-msgstr ""
-
-#: ../gwibber/actions.py:164
-msgid "_Search for a query"
-msgstr ""
-
-#: ../gwibber/actions.py:172
-msgid "View _Message"
-msgstr ""
-
-#: ../gwibber/actions.py:199
-msgid "View user _Profile"
-msgstr ""
-
-#: ../gwibber/actions.py:225
-msgid "Tra_nslate"
-msgstr ""
-
-#: ../gwibber/actions.py:249
-msgid "Save to _Tomboy"
-msgstr ""
-
-#: ../gwibber/actions.py:254
-#, python-format
-msgid ""
-"%(service_name)s message from %(sender)s at %(time)s\n"
-"\n"
-"%(message)s\n"
-"\n"
-"Source: %(url)s"
-msgstr ""
-
-#: ../gwibber/client.py:169
-msgid "Social broadcast messages"
-msgstr ""
-
-#: ../gwibber/client.py:230
-msgid "Upload image"
-msgstr ""
-
-#: ../gwibber/client.py:234
-msgid "Post to all enabled services"
-msgstr ""
-
-#: ../gwibber/client.py:346
-msgid "_Search"
-msgstr ""
-
-#: ../gwibber/client.py:352
-msgid "_New Stream"
-msgstr ""
-
-#: ../gwibber/client.py:353
-msgid "_Close Window"
-msgstr ""
-
-#: ../gwibber/client.py:354
-msgid "_Close Stream"
-msgstr ""
-
-#: ../gwibber/client.py:356
-msgid "Get Help Online..."
-msgstr ""
-
-#: ../gwibber/client.py:357
-msgid "Translate This Application..."
-msgstr ""
-
-#: ../gwibber/client.py:358
-msgid "Report A Problem..."
-msgstr ""
-
-#: ../gwibber/client.py:580
-msgid "Select file to upload"
-msgstr ""
-
-#: ../gwibber/gwui.py:118 ../gwibber/gwui.py:155
-msgid "Sent"
-msgstr ""
-
-#: ../gwibber/gwui.py:172
-msgid "Lists"
-msgstr ""
-
-#: ../gwibber/gwui.py:187 ../gwibber/gwui.py:926
-msgid "Search"
-msgstr ""
-
-#: ../gwibber/gwui.py:874
-msgid "Close"
-msgstr ""
-
-#: ../gwibber/gwui.py:881
-msgid "Edit Account"
-msgstr ""
-
-#: ../gwibber/gwui.py:887
-msgid "Retry"
-msgstr ""
-
-#: ../gwibber/error.py:71
-msgid "Gwibber Error"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:294
-#: ../gwibber/microblog/dispatcher.py:313
-msgid "Update Status"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:319
-msgid "Refresh"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:324
-msgid "Accounts"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:329
-msgid "Preferences"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:334
-msgid "Quit"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:866
-msgid "has shared a photo"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:868
-msgid "has shared a link"
-msgstr ""
-
-#: ../gwibber/microblog/dispatcher.py:870
-msgid "has shared a video"
-msgstr ""
-
-#: ../gwibber/microblog/util/exceptions.py:36
-#, python-format
-msgid ""
-"There was an %(kind)s failure from %(service)s for account %(account)s, "
-"error was %(error)s"
-msgstr ""
-
-#: ../gwibber/microblog/util/exceptions.py:45
-#, python-format
-msgid "Authentication error from %(service)s for account %(account)s"
-msgstr ""
-
-#: ../gwibber/microblog/util/exceptions.py:49
-msgid "Gwibber Authentication Error"
-msgstr ""
-
-#: ../gwibber/microblog/util/exceptions.py:52
-#, python-format
-msgid "There was a network error communicating with %(message)s"
-msgstr ""
-
-#: ../gwibber/microblog/util/exceptions.py:53
-msgid "Gwibber Network Error"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/flickr/__init__.py:101
-#: ../gwibber/microblog/plugins/flickr/__init__.py:103
-msgid "Failed to find account"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/__init__.py:72
-#: ../gwibber/microblog/plugins/facebook/__init__.py:88
-#: ../gwibber/microblog/plugins/twitter/__init__.py:260
-#: ../gwibber/microblog/plugins/foursquare/__init__.py:138
-msgid "Authentication failed"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/__init__.py:74
-msgid "Authentication failed, please re-authorize"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/__init__.py:92
-msgid "Session invalid"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/__init__.py:96
-#: ../gwibber/microblog/plugins/twitter/__init__.py:265
-#: ../gwibber/microblog/plugins/foursquare/__init__.py:143
-msgid "Unknown failure"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/gtk/facebook/__init__.py:78
-#: ../gwibber/microblog/plugins/facebook/gtk/facebook/__init__.py:148
-#, python-format
-msgid "%s has been authorized by Facebook"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/gtk/facebook/__init__.py:94
-#: ../gwibber/microblog/plugins/statusnet/gtk/statusnet/__init__.py:73
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:61
-#: ../gwibber/microblog/plugins/identica/gtk/identica/__init__.py:63
-#: ../gwibber/microblog/plugins/buzz/gtk/buzz/__init__.py:49
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:65
-msgid "<p>Please wait...</p>"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/gtk/facebook/__init__.py:163
-msgid "Facebook authorization failed. Please try again."
-msgstr ""
-
-#: ../gwibber/microblog/plugins/statusnet/__init__.py:213
-#: ../gwibber/microblog/plugins/statusnet/__init__.py:214
-#: ../gwibber/microblog/plugins/identica/__init__.py:211
-#: ../gwibber/microblog/plugins/identica/__init__.py:212
-msgid "Account needs to be re-authorized"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/statusnet/__init__.py:246
-#: ../gwibber/microblog/plugins/twitter/__init__.py:279
-#: ../gwibber/microblog/plugins/identica/__init__.py:243
-#, python-format
-msgid "%s failed"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/statusnet/gtk/statusnet/__init__.py:46
-#: ../gwibber/microblog/plugins/statusnet/gtk/statusnet/__init__.py:209
-#: ../gwibber/microblog/plugins/identica/gtk/identica/__init__.py:47
-#, python-format
-msgid "%s has been authorized by %s"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/statusnet/gtk/statusnet/__init__.py:226
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:146
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:150
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:170
-#: ../gwibber/microblog/plugins/identica/gtk/identica/__init__.py:212
-#: ../gwibber/microblog/plugins/buzz/gtk/buzz/__init__.py:123
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:132
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:136
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:156
-msgid "Authorization failed. Please try again."
-msgstr ""
-
-#: ../gwibber/microblog/plugins/twitter/__init__.py:67
-#: ../gwibber/microblog/plugins/foursquare/__init__.py:40
-msgid "Failed to find credentials"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/twitter/__init__.py:269
-#: ../gwibber/microblog/plugins/twitter/__init__.py:273
-#: ../gwibber/microblog/plugins/foursquare/__init__.py:147
-#: ../gwibber/microblog/plugins/foursquare/__init__.py:151
-msgid "Request failed"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:44
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:158
-#, python-format
-msgid "%s has been authorized by Twitter"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:100
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:93
-msgid "Verifying"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/twitter/gtk/twitter/__init__.py:153
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:139
-msgid "Successful"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/identica/gtk/identica/__init__.py:196
-#, python-format
-msgid "%s has been authorized by Identi.ca"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/gtk/buzz/__init__.py:37
-#: ../gwibber/microblog/plugins/buzz/gtk/buzz/__init__.py:111
-#, python-format
-msgid "%s has been authorized by Buzz"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:48
-#: ../gwibber/microblog/plugins/foursquare/gtk/foursquare/__init__.py:144
-#, python-format
-msgid "%s has been authorized by Foursquare"
-msgstr ""
-
-#: ../gwibber/util.py:113
-#, python-format
-msgid "%(year)d year ago"
-msgid_plural "%(year)d years ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../gwibber/util.py:116
-#, python-format
-msgid "%(day)d day ago"
-msgid_plural "%(day)d days ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../gwibber/util.py:119
-#, python-format
-msgid "%(hour)d hour ago"
-msgid_plural "%(hour)d hours ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../gwibber/util.py:122
-#, python-format
-msgid "%(minute)d minute ago"
-msgid_plural "%(minute)d minutes ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../gwibber/util.py:125
-msgid "Just now"
-msgstr ""
-
-#: ../gwibber/util.py:126
-#, python-format
-msgid "%(sec)d second ago"
-msgid_plural "%(sec)d seconds ago"
-msgstr[0] ""
-msgstr[1] ""
-
-#: ../data/gwibber-accounts-dialog.ui.h:2
-msgid "Add…"
-msgstr ""
-
-#: ../data/gwibber-accounts-dialog.ui.h:3
-msgid "Remove"
-msgstr ""
-
-#: ../data/gwibber-accounts-dialog.ui.h:4
-msgid "_Add"
-msgstr ""
-
-#: ../data/gwibber-accounts-dialog.ui.h:5
-msgid "Add an account for the selected service"
-msgstr ""
-
-#: ../data/gwibber-accounts-dialog.ui.h:6
-msgid "Add _new account for:"
-msgstr ""
-
-#: ../data/gwibber-accounts-dialog.ui.h:7
-msgid "Select a service"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:1
-msgid "radiobutton"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:3
-msgid "Start service at login"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:5
-msgid "Receive notifications for all messages"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:7
-msgid ""
-"Only receive notifications when someone replies to one of your messages or "
-"mentions your name"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:9
-msgid "<b>Show notifications for:</b>"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:10
-msgid "Minutes between refresh:  "
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:11
-msgid "Refresh frequency"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:12
-msgid "<b>Update</b>"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:13
-msgid "_Options"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:14
-msgid "Show real names in messages"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:15
-msgid "Image uploading service:  "
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:16
-msgid "<b>Photos</b>"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:17
-msgid "Append colon to username when replying"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:18
-msgid "Automatically shorten pasted URLs using:"
-msgstr ""
-
-#: ../data/gwibber-preferences-dialog.ui.h:19
-msgid "<b>Advanced</b>"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:1
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:1
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:1
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:2
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:1
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:1
-msgid "_Authorize"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:2
-msgid "Authorize with buzz"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:3
-msgid "Buzz authorized"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:4
-#: ../gwibber/microblog/plugins/digg/ui/gwibber-accounts-digg.ui.h:3
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:4
-#: ../gwibber/microblog/plugins/flickr/ui/gwibber-accounts-flickr.ui.h:3
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:7
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:4
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:5
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:4
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:6
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:4
-msgid "Account Settings:"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:5
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:5
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:8
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:5
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:8
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:6
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:5
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:7
-msgid "_Send Messages"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:6
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:6
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:9
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:6
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:9
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:7
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:6
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:8
-msgid "Allow sending posts to this account"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:7
-#: ../gwibber/microblog/plugins/digg/ui/gwibber-accounts-digg.ui.h:4
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:7
-#: ../gwibber/microblog/plugins/flickr/ui/gwibber-accounts-flickr.ui.h:4
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:10
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:7
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:10
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:8
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:7
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:9
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:5
-msgid "_Receive Messages"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:8
-#: ../gwibber/microblog/plugins/digg/ui/gwibber-accounts-digg.ui.h:5
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:8
-#: ../gwibber/microblog/plugins/flickr/ui/gwibber-accounts-flickr.ui.h:5
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:11
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:8
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:11
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:9
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:8
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:10
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:6
-msgid "Include this account when downloading messages"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:9
-#: ../gwibber/microblog/plugins/digg/ui/gwibber-accounts-digg.ui.h:6
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:9
-#: ../gwibber/microblog/plugins/flickr/ui/gwibber-accounts-flickr.ui.h:6
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:12
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:9
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:12
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:10
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:9
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:11
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:7
-msgid "Color used to help distinguish accounts"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/buzz/ui/gwibber-accounts-buzz.ui.h:10
-#: ../gwibber/microblog/plugins/digg/ui/gwibber-accounts-digg.ui.h:7
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:10
-#: ../gwibber/microblog/plugins/flickr/ui/gwibber-accounts-flickr.ui.h:7
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:13
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:10
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:13
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:11
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:10
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:12
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:8
-msgid "Account Color:"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/digg/ui/gwibber-accounts-digg.ui.h:1
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:1
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:1
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:1
-msgid "Login I_D:"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/digg/ui/gwibber-accounts-digg.ui.h:2
-msgid "<span size=\"small\"><b>Example:</b> username</span>"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:2
-msgid "Authorize with facebook"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/facebook/ui/gwibber-accounts-facebook.ui.h:3
-msgid "Facebook authorized"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/flickr/ui/gwibber-accounts-flickr.ui.h:1
-msgid "Screen _Name:"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/flickr/ui/gwibber-accounts-flickr.ui.h:2
-msgid "<span size=\"small\"><b>Example:</b> screenname</span>"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:2
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:2
-msgid "Remote key:"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/friendfeed/ui/gwibber-accounts-friendfeed.ui.h:3
-msgid ""
-"<span size=\"small\"><b>Example:</b> username</span>\n"
-"friendfeed requires a \"remote key\" for access from gwibber, \n"
-"you can find your's at <a href=\"https://friendfeed.com/account/api"
-"\">https://friendfeed.com/account/api</a>\n"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:2
-msgid "Authorize with Identi.ca"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/identica/ui/gwibber-accounts-identica.ui.h:3
-msgid "Identi.ca authorized"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:3
-msgid ""
-"\n"
-"Ping.fm requires a \"remote key\" for access from gwibber, \n"
-"you can find your's at <a href=\"http://ping.fm/key/\">http://ping.fm/key/</"
-"a>\n"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/pingfm/ui/gwibber-accounts-pingfm.ui.h:7
-msgid "Account Settings:\t"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:1
-msgid "Site URL:"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:3
-msgid "Authorize with Status.Net"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/statusnet/ui/gwibber-accounts-statusnet.ui.h:4
-msgid "Status.net authorized"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:2
-msgid "Authorize with twitter"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/twitter/ui/gwibber-accounts-twitter.ui.h:3
-msgid "Twitter authorized"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:2
-msgid "API-key:"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/qaiku/ui/gwibber-accounts-qaiku.ui.h:3
-msgid ""
-"<span size=\"small\"><b>Example:</b> username</span>\n"
-"You will need to enable \"API access\" to retrieve \n"
-"an API key, <a href=\"http://www.qaiku.com/settings/api/\">http://www.qaiku."
-"com/settings/api/</a>"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:2
-msgid "Authorize with foursquare"
-msgstr ""
-
-#: ../gwibber/microblog/plugins/foursquare/ui/gwibber-accounts-foursquare.ui.h:3
-msgid "Foursquare authorized"
-msgstr ""
-
-#: ../lens/data/gwibber.lens.in.in.h:2
-msgid "Social Network"
-msgstr ""

=== removed directory 'tests/plugins'
=== removed directory 'tests/plugins/test'
=== removed file 'tests/plugins/test/__init__.py'
--- tests/plugins/test/__init__.py	2011-11-04 12:47:01 +0000
+++ tests/plugins/test/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,69 +0,0 @@
-from gwibber.microblog import network, util
-from gwibber.microblog.util import log, resources
-import json
-
-import re, mx.DateTime
-from gettext import lgettext as _
-
-PROTOCOL_INFO = {
-  "name": "Test",
-  "version": 0.1,
-  
-  "config": [
-    "username",
-    "color",
-    "receive_enabled",
-  ],
-
-  "authtype": "none",
-  "color": "#C31A00",
-
-  "features": [
-    "receive",
-  ],
-
-  "default_streams": [
-    "receive"
-  ]
-}
-
-class Client:
-  def __init__(self, acct):
-    self.account = acct
-
-  def _message(self, data):
-    m = {}
-    m["mid"] = str(data["id"])
-    m["service"] = "test"
-    m["account"] = self.account["id"]
-    if data.has_key("created_at"):
-      m["time"] = util.parsetime(data["created_at"])
-    m["source"] = data["source"]
-    m["text"] = data["text"]
-
-    m["sender"] = {}
-    m["sender"]["name"] = data["user"]["name"]
-    m["sender"]["nick"] = data["user"]["screen_name"]
-    m["sender"]["is_me"] = data["user"]["screen_name"] == self.account["username"]
-    m["sender"]["id"] = data["user"]["id"]
-    m["sender"]["image"] = data["user"]["profile_image_url"]
-    m["sender"]["url"] = data["user"]["profile_url"]
-
-    m["url"] = data["user"]["url"]
-
-    m["content"] = data["html"]
-    m["html"] = data["html"]
-
-    return m
-
-  def _get(self, method, parse="message", post=False, **args):
-    data = json.loads(open("data/sample.json", "r").read ())
-    if parse == "message":
-      return [self._message(m) for m in data]
-    else: return data
-
-  def __call__(self, opname, **args):
-    return getattr(self, opname)(**args)
-
-  def receive(self, count=util.COUNT, since=None):
-    return self._get("statuses/friends_timeline.json", count=count, since_id=since, source="Gwibber")

